%define qmf_version 0.18
%define tarball_version 7.8.6

%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}

###############################
# the logic block below could likely be simplfied by a spec-expert
%define rhel_6 0%{?rhel} == 6
%if %{rhel_6}
%ifarch i686
%define i686_rhel6 1
%else
%define i686_rhel6 0
%endif
%else
%define i686_rhel6 0
%endif

Summary: HTCondor: High Throughput Computing
Name: condor
Version: 7.8.8
Release: 0.4.3%{?dist}
License: ASL 2.0
Group: Applications/System
URL: http://research.cs.wisc.edu/htcondor/
# The upstream HTCondor source tarball contains some source that cannot
# be shipped as well as extraneous copies of packages the source
# depends on. Additionally, the upstream HTCondor source requires a
# click-through license. Once you have downloaded the source from:
#   http://www.cs.wisc.edu/condor/downloads
# you should process it with generate-tarball.sh:
#   ./generate-tarball.sh 7.6.0
# MD5Sum of upstream source:
#   06eec3ae274b66d233ad050a047f3c91  condor_src-7.0.0-all-all.tar.gz
#   e59fa49468ea8825628585a958e2f8e0  condor_src-7.0.1-all-all.tar.gz
#   b08743cfa2e87adbcda042896e8ef537  condor_src-7.0.2-all-all.tar.gz
#   5f326ad522b63eacf34c6c563cf46910  condor_src-7.0.4-all-all.tar.gz
#   73323100c5b2259f3b9c042fa05451e0  condor_src-7.0.5-all-all.tar.gz
#   67eb628921313ad8f23692840f054832  condor_src-7.1.3-all-all.tar.gz
#   c7f3257d0e04b33ea1afbd51cf50d4ef  condor_src-7.1.4-all-all.tar.gz
#   a2dd96ea537b2c6d105b6c8dad563des used when machine ad is referencedc  condor_src-7.2.0-all-all.tar.gz
#   edbac8267130ac0a0e016d0f113b4616  condor_src-7.2.1-all-all.tar.gz
#   9702f20ec98068a77975e2f1155140bf  condor_src-7.3.0-all-all.tar.gz
#   ca912f758752e303530bcd83f090cb68  condor_src-7.3.1-all-all.tar.gz
#   ee72b65fad02d21af0dc8f1aa5872110  condor_src-7.4.0-all-all.tar.gz
#   d4deeabbbce65980c085d8bea4c1018a  condor_src-7.4.1-all-all.tar.gz
#   4714086f58942b78cf03fef9ccb1117c  condor_src-7.4.2-all-all.tar.gz
#   108a4b91cd10deca1554ca1088be6c8c  condor_src-7.4.4-all-all.tar.gz
#   b482c4bfa350164427a1952113d53d03  condor_src-7.5.5-all-all.tar.gz
#   f9fafd11eb02f27a8609825aaf691e93  condor_src-7.5.6-all-all.tar.gz    
#   2a1355cb24a56a71978d229ddc490bc5  condor_src-7.6.0-all-all.tar.gz
#   6537ed9946af861ba76541bc6efce79b  condor_src-7.6.1-all-all.tar.gz
#
#   From this point on use git as original src:
#   git archive --format=tar --prefix=condor-7.8.3/ V7_8_3 | gzip >condor_src-7.8.3-all-all.tar.gz
#
#   182f06a36bdef1f1fcecb9689b5d57de  condor_src-7.6.2-all-all.tar.gz  
#   09bed2fafb44c088a75962d9c2ddcd3b  condor_src-7.6.3-all-all.tar.gz 
#   98c9de296a14c00f90480115842c4a36  condor_src-7.6.4-all-all.tar.gz
#   95ab745fbd38fc9d81c03817577fc89d  condor_src-7.6.6-all-all.tar.gz      
#   b6300b65e4516761edb598509e009a69  condor_src-7.6.7-all-all.tar.gz
#   3b553902d620f8f6c2b20c4816c42020  condor_src-7.8.1-all-all.tar.gz
#   501bbe85c5288f53300f6c3f3d5e682e  condor_src-7.8.3-all-all.tar.gz
#   d3becb57efb531d09af24bc8ca09c363  condor_src-7.8.4-all-all.tar.gz
#   b97179a40c7309342218a2a624f34508  condor_src-7.8.5-all-all.tar.gz
#   d4a3ea24b55e10ca74f5e17b3e3c7d56  condor_src-7.8.6-all-all.tar.gz
#
# Note: The md5sum of each generated tarball may be different
#
Source0: condor-7.8.6-f085a099-RH.tar.gz
Source1: generate-tarball.sh
# Created with: git diff V7_6_6 V-R
Patch0: Integration-Branch.patch
Patch1: condor-BZ919037.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: %_bindir/cmake
BuildRequires: %_bindir/flex
BuildRequires: %_bindir/byacc
BuildRequires: krb5-devel
BuildRequires: pcre-devel
BuildRequires: openssl-devel

# RHEL 6 dependencies. 
%if 0%{?rhel} >= 6
BuildRequires: texlive
BuildRequires: texlive-latex
BuildRequires: texlive-utils
BuildRequires: tex-preview

BuildRequires: mongodb-devel >= 1.6.4-6
BuildRequires: ruby
BuildRequires: libcgroup-devel

%ifarch x86_64
BuildRequires: libdeltacloud-devel >= 0.9-1
%endif

%else
BuildRequires: tetex
BuildRequires: tetex-latex
%endif

BuildRequires: latex2html
BuildRequires: qpid-qmf-devel >= %{qmf_version}
BuildRequires: wso2-wsf-cpp-devel >= 2.1.0-4
BuildRequires: wso2-axis2-devel >= 2.1.0-4
BuildRequires: /usr/include/curl/curl.h
BuildRequires: expat-devel
BuildRequires: libvirt-devel
BuildRequires: bind-utils
BuildRequires: libX11-devel

Requires: mailx
Requires: python >= 2.2
Requires: condor-classads = %{version}-%{release} 

Requires(pre): shadow-utils
Requires(post):/sbin/chkconfig
Requires(post): policycoreutils
Requires(preun):/sbin/chkconfig
Requires(preun):/sbin/service
Requires(postun):/sbin/service

Obsoletes: condor-test
Obsoletes: condor-static < 7.2.0

#Provides: user(condor) = 43
#Provides: group(condor) = 43

%description
HTCondor is a workload management system for high-throughput and
high-performance jobs. Like other full-featured batch systems, HTCondor
provides a job queueing mechanism, scheduling policy, priority scheme,
resource monitoring, and resource management. Users submit their
serial or parallel jobs to HTCondor, HTCondor places them into a queue,
chooses when and where to run the jobs based upon a policy, carefully
monitors their progress, and ultimately informs the user upon
completion.


%package qmf
Summary: HTCondor QMF components
Group: Applications/System
Requires: %name = %version-%release
Requires: qpid-qmf >= %{qmf_version}
Requires: python-qpid-qmf >= %{qmf_version}
Requires: condor-classads = %{version}-%{release}
Obsoletes: condor-qmf-plugins

%description qmf
Components to connect HTCondor to the QMF management bus.


%package aviary
Summary: HTCondor Aviary components
Group: Applications/System
Requires: %name = %version-%release
Requires: condor-classads = %{version}-%{release}
Requires: python-suds >= 0.4.1

%description aviary
Components to provide simplified WS interface to HTCondor.


%package kbdd
Summary: HTCondor Keyboard Daemon
Group: Applications/System
Requires: %name = %version-%release
Requires: condor-classads = %{version}-%{release}

%description kbdd
The condor_kbdd monitors logged in X users for activity. It is only
useful on systems where no device (e.g. /dev/*) can be used to
determine console idle time.


%package classads
Summary: HTCondor's classified advertisement language
Group: Development/Libraries
Obsoletes: classads <= 1.0.8
Obsoletes: classads-static <= 1.0.8

%description classads
Classified Advertisements (classads) are the lingua franca of
HTCondor. They are used for describing jobs, workstations, and other
resources. They are exchanged by HTCondor processes to schedule
jobs. They are logged to files for statistical and debugging
purposes. They are used to enquire about current state of the system.

A classad is a mapping from attribute names to expressions. In the
simplest cases, the expressions are simple constants (integer,
floating point, or string). A classad is thus a form of property
list. Attribute expressions can also be more complicated. There is a
protocol for evaluating an attribute expression of a classad vis a vis
another ad. For example, the expression "other.size > 3" in one ad
evaluates to true if the other ad has an attribute named size and the
value of that attribute is (or evaluates to) an integer greater than
three. Two classads match if each ad has an attribute requirements
that evaluates to true in the context of the other ad. Classad
matching is used by the HTCondor central manager to determine the
compatibility of jobs and workstations where they may be run.


%package classads-devel
Summary: Headers for HTCondor's classified advertisement language
Group: Development/System
Requires: %name-classads = %version-%release
Requires: pcre-devel
Obsoletes: classads-devel <= 1.0.8

%description classads-devel
Header files for HTCondor's ClassAd Library, a powerful and flexible,
semi-structured representation of data.

%if %{i686_rhel6}
###### no vm-gahp
%else
%package vm-gahp
Summary: HTCondor's VM Gahp
Group: Applications/System
Requires: %name = %version-%release
Requires: libvirt
Requires: condor-classads = %{version}-%{release}

%description vm-gahp
The condor_vm-gahp enables the Virtual Machine Universe feature of
HTCondor. The VM Universe uses libvirt to start and control VMs under
HTCondor's Startd.
%endif


%if 0%{?rhel} >= 6

%ifarch x86_64
%package deltacloud-gahp
Summary: HTCondor's Deltacloud Gahp
Group: Applications/System
Requires: %name = %version-%release


%description deltacloud-gahp
The deltacloud_gahp enables HTCondor's ability to manage jobs run on
resources exposed by the deltacloud API.
%endif


%package plumage
Summary: HTCondor Plumage components
Group: Applications/System
Requires: %name = %version-%release
Requires: condor-classads = %{version}-%{release}
Requires: mongodb >= 1.6.4
Requires: pymongo >= 1.9
Requires: python-dateutil >= 1.4.1

%description plumage
Components to provide a NoSQL operational data store for HTCondor.

This package contains (part of) a Technology Preview for Red Hat
Enterprise MRG Grid. Please visit
http://www.redhat.com/support/service/ for details on the Red Hat
support policies.


%package cluster-resource-agent
Summary: Tools for Red Hat High Availability management of select HTCondor daemons
Group: Applications/System
Requires: %name = %version-%release
Requires: wallaby-utils
Requires: fence-agents
Requires: ccs

%description cluster-resource-agent
Tools to ease Red Hat High Availability management of high availability
configurations for a few HTCondor daemons.  This includes a Resource Agent and
a set of commands for use with Red Hat Enterprise MRG Grid Remote
Configuration's wallaby tool.  The wallaby tool commands provide
configuration in Red Hat High Availability and corresponding changes in
Red Hat Enterprise MRG Grid Remote Configuration.
%endif


%pre
getent group condor >/dev/null || groupadd -g 64 -r condor
getent passwd condor >/dev/null || \
  useradd -u 64 -r -g condor -d %_var/lib/condor -s /sbin/nologin \
    -c "Owner of HTCondor Daemons" condor
exit 0


%prep
%setup -q -n %name-%{tarball_version}

# The Integration-Branch.patch is applied with -f because it can have
# diffs for files that do not exist in our source, which is ok if the
# files were removed by generate-tarball.sh (or are UW's
# large|confidential tests)
echo "Applying %{PATCH0}"
patch -p1 -f -s < %{PATCH0} || :
echo "Applying %{PATCH1}"
patch -p1 -s < %{PATCH1} || :


%build
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{buildroot}/%{_usr} \
       -DBUILDID:STRING=RH-%{version}-%{release} \
       -DNO_PHONE_HOME:BOOL=TRUE \
       -DHAVE_BACKFILL:BOOL=FALSE \
       -DHAVE_BOINC:BOOL=FALSE \
       -DWITH_GSOAP:BOOL=FALSE \
       -DWITH_POSTGRESQL:BOOL=FALSE \
       -DHAVE_KBDD:BOOL=TRUE \
       -DHAVE_HIBERNATION:BOOL=TRUE \
       -DWANT_LEASE_MANAGER:BOOL=FALSE \
       -DWANT_HDFS:BOOL=FALSE \
       -DWANT_QUILL:BOOL=FALSE \
       -DWITH_ZLIB:BOOL=FALSE \
       -DWANT_CONTRIB:BOOL=ON \
       -DWITH_MANAGEMENT:BOOL=TRUE \
       -DWITH_AVIARY:BOOL=TRUE \
       -DWITH_TRIGGERD:BOOL=TRUE \
       -DWANT_MAN_PAGES:BOOL=TRUE \
       -DWANT_FULL_DEPLOYMENT:BOOL=FALSE \
       -DWANT_GLEXEC:BOOL=FALSE \
       -DWITH_PIGEON:BOOL=FALSE \
%if 0%{?rhel} >= 6
       -DWITH_LIBDELTACLOUD:BOOL=TRUE \
       -DWITH_PLUMAGE:BOOL=TRUE \
%else
       -DWITH_LIBDELTACLOUD:BOOL=FALSE \
       -DWITH_PLUMAGE:BOOL=FALSE \
%endif
       -DWITH_GLOBUS:BOOL=FALSE \
       -DWITH_VOMS:BOOL=FALSE

# So we should investigate how to re-enable *this.
#       -DCONDOR_PACKAGE_BUILD:BOOL=TRUE \
       
%if 0%{?rhel} >= 6
texconfig init latex || echo 1
cp ~/.texlive2007/texmf-var/web2c/pdftex/latex.fmt ./doc/
%endif

make 
#%{?_smp_mflags} tstclair: too difficult to debug in brew builds

%install
# installation happens into a temporary location, this function is
# useful in moving files into their final locations
function populate {
  _dest="$1"; shift; _src="$*"
  mkdir -p "%{buildroot}/$_dest"
  mv $_src "%{buildroot}/$_dest"
}

# this function will copy, instead of move, files to their final locations
function populate_cp {
  _dest="$1"; shift; _src="$*"
  mkdir -p "%{buildroot}/$_dest"
  cp -r $_src "%{buildroot}/$_dest"
}

rm -rf %{buildroot}
make install

# The install target puts etc/ under usr/, let's fix that.
mv %{buildroot}/%{_usr}/etc %{buildroot}/%{_sysconfdir}

populate %_sysconfdir/condor %{buildroot}/%{_usr}/lib/condor_ssh_to_job_sshd_config_template

# Things in /usr/lib really belong in /usr/share/condor
populate %{_datadir}/condor %{buildroot}/%{_usr}/lib/*
# Except for libclassad
populate %{_libdir}/ %{buildroot}/%{_datadir}/condor/libclassad.so*
populate %{_libdir}/ %{buildroot}/%{_datadir}/condor/libcondor_utils_*.so*

populate %{_libdir}/condor/plugins %{buildroot}/%{_usr}/libexec/*-plugin.so

# It is proper to put HTCondor specific libexec binaries under libexec/condor/
populate %{_libexecdir}/condor %{buildroot}/%{_usr}/libexec/*

# man pages go under %{_mandir}
mkdir -p %{buildroot}/%{_mandir}
mv %{buildroot}/%{_usr}/man/man1 %{buildroot}/%{_mandir}

mkdir -p %{buildroot}/%{_sysconfdir}/condor
# the default condor_config file is not architecture aware and thus
# sets the LIB directory to always be /usr/lib, we want to do better
# than that. this is, so far, the best place to do this
# specialization. we strip the "lib" or "lib64" part from _libdir and
# stick it in the LIB variable in the config.
LIB=$(echo %{?_libdir} | sed -e 's:/usr/\(.*\):\1:')
if [ "$LIB" = "%_libdir" ]; then
  echo "_libdir does not contain /usr, sed expression needs attention"
  exit 1
fi
sed -e "s:^LIB\s*=.*:LIB = \$(RELEASE_DIR)/$LIB/condor:" \
  %{buildroot}/etc/examples/condor_config.generic.redhat \
  > %{buildroot}/%{_sysconfdir}/condor/condor_config

# Install the basic configuration, a Personal HTCondor config. Allows for
# yum install condor + service condor start and go.
mkdir -m0755 %{buildroot}/%{_sysconfdir}/condor/config.d
cp %{buildroot}/etc/examples/condor_config.local %{buildroot}/%{_sysconfdir}/condor/config.d/00personal_condor.config

# Install condor-qmf's base plugin configuration
populate %_sysconfdir/condor/config.d %{buildroot}/etc/examples/60condor-qmf.config
# Install condor-aviary's base plugin configuration
populate %_sysconfdir/condor/config.d %{buildroot}/etc/examples/61aviary.config

mkdir -p %{buildroot}/%{_var}/lib/condor/aviary
populate %{_var}/lib/condor/aviary %{buildroot}/usr/axis2.xml
populate %{_var}/lib/condor/aviary %{buildroot}/usr/services/

mkdir -p -m0755 %{buildroot}/%{_var}/run/condor
mkdir -p -m0755 %{buildroot}/%{_var}/log/condor
mkdir -p -m0755 %{buildroot}/%{_var}/lock/condor
mkdir -p -m1777 %{buildroot}/%{_var}/lock/condor/local
mkdir -p -m0755 %{buildroot}/%{_var}/lib/condor/spool
mkdir -p -m0755 %{buildroot}/%{_var}/lib/condor/execute

%if 0%{?rhel} >= 6
# Install condor-plumage's base plugin configuration
populate %_sysconfdir/condor/config.d %{buildroot}/etc/examples/62plumage.config
mkdir -p -m0755 %{buildroot}/%{_var}/lib/condor/ViewHist

populate %{ruby_sitelib}/mrg/grid/config/shell %{buildroot}/etc/examples/cmd_cluster.rb
populate %{_datadir}/cluster %{buildroot}/etc/examples/condor.sh
%else
rm -f %{buildroot}/etc/examples/cmd_cluster.rb
rm -f %{buildroot}/etc/examples/condor.sh
%endif


%if %{i686_rhel6}
rm %{buildroot}/%{_sbindir}/condor_vm-gahp
rm %{buildroot}/%{_libexecdir}/condor/libvirt_simple_script.awk
%endif

#rm %{buildroot}/%{_libexecdir}/condor/accountant_log_fixer
rm %{buildroot}/%{_sbindir}/remote_gahp
rm %{buildroot}/%{_sbindir}/condor_set_shutdown
rm %{buildroot}/%{_mandir}/man1/condor_set_shutdown.1.gz

# not packaging glidein support, depends on globus
rm %{buildroot}/%{_mandir}/man1/condor_glidein.1.gz

# not packaging deployment tools
rm %{buildroot}/%{_mandir}/man1/condor_config_bind.1.gz
rm %{buildroot}/%{_mandir}/man1/condor_cold_start.1.gz
rm %{buildroot}/%{_mandir}/man1/condor_cold_stop.1.gz
rm %{buildroot}/%{_mandir}/man1/uniq_pid_midwife.1.gz
rm %{buildroot}/%{_mandir}/man1/uniq_pid_undertaker.1.gz
rm %{buildroot}/%{_mandir}/man1/filelock_midwife.1.gz
rm %{buildroot}/%{_mandir}/man1/filelock_undertaker.1.gz
rm %{buildroot}/%{_mandir}/man1/install_release.1.gz
rm %{buildroot}/%{_mandir}/man1/cleanup_release.1.gz

# not packaging standard universe
rm %{buildroot}/%{_mandir}/man1/condor_compile.1.gz
rm %{buildroot}/%{_mandir}/man1/condor_checkpoint.1.gz

# not packaging configure/install scripts
rm %{buildroot}/%{_mandir}/man1/condor_configure.1.gz

# not packaging gidd_alloc or procd_ctl
rm %{buildroot}/%{_mandir}/man1/gidd_alloc.1.gz
rm %{buildroot}/%{_mandir}/man1/procd_ctl.1.gz

# not packaging quill bits
rm %{buildroot}/%{_mandir}/man1/condor_load_history.1.gz

# Remove junk
rm -r %{buildroot}/%{_sysconfdir}/sysconfig
rm -r %{buildroot}/%{_sysconfdir}/init.d
rm -f %{buildroot}/%{_datadir}/condor/*.pm
rm -rf %{buildroot}/%{_datadir}/condor/condor
# this needs to get purged from the build entirely ^
rm -f %{buildroot}/%{_datadir}/condor/libchirp_client.so
rm -f %{buildroot}/%{_datadir}/condor/libclassad.a
rm -f %{buildroot}/%{_datadir}/condor/libcondorapi.so

# install the lsb init script
install -Dp -m0755 %{buildroot}/etc/examples/condor.init %{buildroot}/%{_initrddir}/condor

# we must place the config examples in builddir so %doc can find them
mv %{buildroot}/etc/examples %{_builddir}/%{name}-%{tarball_version}


%clean
rm -rf %{buildroot}

%check


%files
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt examples
%_initrddir/condor
%dir %_sysconfdir/condor/
%config %_sysconfdir/condor/condor_config
%dir %_sysconfdir/condor/config.d/
%_sysconfdir/condor/config.d/00personal_condor.config
%_sysconfdir/condor/condor_ssh_to_job_sshd_config_template
%dir %_datadir/condor/
%_datadir/condor/Chirp.jar
%_datadir/condor/CondorJavaInfo.class
%_datadir/condor/CondorJavaWrapper.class
%_datadir/condor/scimark2lib.jar
%_libdir/libcondor_utils_7_8_8.so
# ok this will need to rev with every iteration..^ :-/
%dir %_libexecdir/condor/
%_libexecdir/condor/condor_chirp
%_libexecdir/condor/condor_job_router
%_libexecdir/condor/condor_ssh
%_libexecdir/condor/sshd.sh
%_libexecdir/condor/condor_limits_wrapper.sh
%_libexecdir/condor/condor_schedd.init
%_libexecdir/condor/condor_rooster
%_libexecdir/condor/condor_ssh_to_job_shell_setup
%_libexecdir/condor/condor_ssh_to_job_sshd_setup
%_libexecdir/condor/condor_power_state
%_libexecdir/condor/condor_kflops
%_libexecdir/condor/condor_mips
%_libexecdir/condor/data_plugin
%_libexecdir/condor/curl_plugin
%_libexecdir/condor/condor_shared_port
%_libexecdir/condor/condor_defrag
%_mandir/man1/condor_advertise.1.gz
%_mandir/man1/condor_config_val.1.gz
%_mandir/man1/condor_findhost.1.gz
%_mandir/man1/condor_history.1.gz
%_mandir/man1/condor_hold.1.gz
%_mandir/man1/condor_master.1.gz
%_mandir/man1/condor_off.1.gz
%_mandir/man1/condor_on.1.gz
%_mandir/man1/condor_preen.1.gz
%_mandir/man1/condor_prio.1.gz
%_mandir/man1/condor_procd.1.gz
%_mandir/man1/condor_q.1.gz
%_mandir/man1/condor_qedit.1.gz
%_mandir/man1/condor_reconfig.1.gz
%_mandir/man1/condor_release.1.gz
%_mandir/man1/condor_reschedule.1.gz
%_mandir/man1/condor_restart.1.gz
%_mandir/man1/condor_rm.1.gz
%_mandir/man1/condor_run.1.gz
%_mandir/man1/condor_stats.1.gz
%_mandir/man1/condor_status.1.gz
%_mandir/man1/condor_store_cred.1.gz
%_mandir/man1/condor_submit.1.gz
%_mandir/man1/condor_submit_dag.1.gz
%_mandir/man1/condor_updates_stats.1.gz
%_mandir/man1/condor_userlog.1.gz
%_mandir/man1/condor_userprio.1.gz
%_mandir/man1/condor_vacate.1.gz
%_mandir/man1/condor_vacate_job.1.gz
%_mandir/man1/condor_check_userlogs.1.gz
%_mandir/man1/condor_chirp.1.gz
%_mandir/man1/condor_cod.1.gz
%_mandir/man1/condor_dagman.1.gz
%_mandir/man1/condor_fetchlog.1.gz
%_mandir/man1/condor_transfer_data.1.gz
%_mandir/man1/condor_version.1.gz
%_mandir/man1/condor_wait.1.gz
%_mandir/man1/condor_power.1.gz
%_mandir/man1/condor_router_history.1.gz
%_mandir/man1/condor_continue.1.gz
%_mandir/man1/condor_suspend.1.gz
%_mandir/man1/condor_router_q.1.gz
%_mandir/man1/condor_router_rm.1.gz
%_mandir/man1/condor_ssh_to_job.1.gz
%_mandir/man1/condor_gather_info.1.gz
%_bindir/condor_drain
%_bindir/condor_test_match
%_bindir/condor_submit_dag
%_bindir/condor_prio
%_bindir/condor_transfer_data
%_bindir/condor_check_userlogs
%_bindir/condor_q
%_libexecdir/condor/condor_transferer
%_bindir/condor_cod
%_bindir/condor_qedit
%_bindir/condor_userlog
%_bindir/condor_release
%_bindir/condor_userlog_job_counter
%_bindir/condor_config_val
%_bindir/condor_reschedule
%_bindir/condor_userprio
%_bindir/condor_dagman
%_bindir/condor_rm
%_bindir/condor_vacate
%_bindir/condor_router_history
%_bindir/condor_router_q
%_bindir/condor_router_rm
%_bindir/condor_run
%_bindir/condor_vacate_job
%_bindir/condor_findhost
%_bindir/condor_stats
%_bindir/condor_version
%_bindir/condor_history
%_bindir/condor_status
%_bindir/condor_wait
%_bindir/condor_hold
%_bindir/condor_submit
%_bindir/condor_ssh_to_job
%_bindir/condor_power
%_bindir/condor_gather_info
%_bindir/condor_continue
%_bindir/condor_suspend
%_sbindir/ec2_gahp
%_sbindir/condor_advertise
%_sbindir/condor_c-gahp
%_sbindir/condor_c-gahp_worker_thread
%_sbindir/condor_collector
%_sbindir/condor_fetchlog
%_sbindir/condor_gridmanager
%_sbindir/condor_had
%_sbindir/condor_init
%_sbindir/condor_master
%_sbindir/condor_negotiator
%_sbindir/condor_off
%_sbindir/condor_on
%_sbindir/condor_preen
%_sbindir/condor_procd
%_sbindir/condor_reconfig
%_sbindir/condor_replication
%_sbindir/condor_restart
%_sbindir/condor_root_switchboard
%_sbindir/condor_schedd
%_sbindir/condor_shadow
%_sbindir/condor_startd
%_sbindir/condor_starter
%_sbindir/condor_store_cred
%_sbindir/condor_transferd
%_sbindir/condor_updates_stats
%defattr(-,condor,condor,-)
%dir %_var/lib/condor/
%dir %_var/lib/condor/execute/
%dir %_var/log/condor/
%dir %_var/lib/condor/spool/
%dir %_var/lock/condor/
%dir %_var/lock/condor/local
%dir %_var/run/condor/


%files qmf
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sysconfdir/condor/config.d/60condor-qmf.config
%dir %_libdir/condor/plugins
%_libdir/condor/plugins/MgmtCollectorPlugin-plugin.so
%_libdir/condor/plugins/MgmtMasterPlugin-plugin.so
%_libdir/condor/plugins/MgmtNegotiatorPlugin-plugin.so
%_libdir/condor/plugins/MgmtScheddPlugin-plugin.so
%_libdir/condor/plugins/MgmtStartdPlugin-plugin.so
%_bindir/get_trigger_data
%_sbindir/condor_trigger_config
%_sbindir/condor_triggerd
%_sbindir/condor_job_server

%files aviary
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sysconfdir/condor/config.d/61aviary.config
%dir %_libdir/condor/plugins
%_libdir/condor/plugins/AviaryScheddPlugin-plugin.so
%_libdir/condor/plugins/AviaryLocatorPlugin-plugin.so
%_sbindir/aviary_query_server
%dir %_datadir/condor/aviary
%_datadir/condor/aviary/jobcontrol.py*
%_datadir/condor/aviary/jobquery.py*
%_datadir/condor/aviary/submissions.py*
%_datadir/condor/aviary/submission_ids.py*
%_datadir/condor/aviary/submit.py*
%_datadir/condor/aviary/setattr.py*
%_datadir/condor/aviary/jobinventory.py*
%_datadir/condor/aviary/locator.py*
%dir %_datadir/condor/aviary/dag
%_datadir/condor/aviary/dag/diamond.dag
%_datadir/condor/aviary/dag/dag-submit.py*
%_datadir/condor/aviary/dag/job.sub
%dir %_datadir/condor/aviary/module
%_datadir/condor/aviary/module/aviary/util.py*
%_datadir/condor/aviary/module/aviary/https.py*
%_datadir/condor/aviary/module/aviary/__init__.py*
%_datadir/condor/aviary/README
%dir %_var/lib/condor/aviary
%_var/lib/condor/aviary/axis2.xml
%dir %_var/lib/condor/aviary/services
%dir %_var/lib/condor/aviary/services/job
%_var/lib/condor/aviary/services/job/libaviary_job_axis.so
%_var/lib/condor/aviary/services/job/services.xml
%_var/lib/condor/aviary/services/job/aviary-common.xsd
%_var/lib/condor/aviary/services/job/aviary-job.xsd
%_var/lib/condor/aviary/services/job/aviary-job.wsdl
%dir %_var/lib/condor/aviary/services/query
%_var/lib/condor/aviary/services/query/libaviary_query_axis.so
%_var/lib/condor/aviary/services/query/services.xml
%_var/lib/condor/aviary/services/query/aviary-common.xsd
%_var/lib/condor/aviary/services/query/aviary-query.xsd
%_var/lib/condor/aviary/services/query/aviary-query.wsdl
%dir %_var/lib/condor/aviary/services/locator
%_var/lib/condor/aviary/services/locator/libaviary_locator_axis.so
%_var/lib/condor/aviary/services/locator/services.xml
%_var/lib/condor/aviary/services/locator/aviary-common.xsd
%_var/lib/condor/aviary/services/locator/aviary-locator.xsd
%_var/lib/condor/aviary/services/locator/aviary-locator.wsdl

%files kbdd
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sbindir/condor_kbdd

%if %{i686_rhel6}
#### nothing to distro 
%else
%files vm-gahp
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sbindir/condor_vm-gahp
%_libexecdir/condor/libvirt_simple_script.awk
%endif

%if 0%{?rhel} >= 6

%ifarch x86_64
%files deltacloud-gahp
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sbindir/deltacloud_gahp
%endif

##################################
# plumage files
%files plumage
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_sysconfdir/condor/config.d/62plumage.config
%dir %_libdir/condor/plugins
%_libdir/condor/plugins/PlumageCollectorPlugin-plugin.so
%dir %_datadir/condor/plumage
%_sbindir/plumage_job_etl_server
%_bindir/plumage_history_load
%_bindir/plumage_stats
%_bindir/plumage_history
%_datadir/condor/plumage/README
%_datadir/condor/plumage/SCHEMA
%_datadir/condor/plumage/plumage_accounting
%_datadir/condor/plumage/plumage_scheduler
%_datadir/condor/plumage/plumage_utilization
%defattr(-,condor,condor,-)
%dir %_var/lib/condor/ViewHist

#################################
# cluster files
%files cluster-resource-agent
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%{ruby_sitelib}/mrg/grid/config/shell/cmd_cluster.rb
%attr(755,root,root) %{_datadir}/cluster/condor.sh
%endif

%files classads
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_libdir/libclassad.so.3
%_libdir/libclassad.so.%{version}

%files classads-devel
%defattr(-,root,root,-)
%doc LICENSE-2.0.txt NOTICE.txt
%_bindir/classad_functional_tester
%_bindir/classad_version
%_libdir/libclassad.so
%dir %_includedir/classad/
%_includedir/classad/attrrefs.h
%_includedir/classad/cclassad.h
%_includedir/classad/classad_distribution.h
%_includedir/classad/classadErrno.h
%_includedir/classad/classad.h
%_includedir/classad/classadItor.h
%_includedir/classad/classad_stl.h
%_includedir/classad/collectionBase.h
%_includedir/classad/collection.h
%_includedir/classad/common.h
%_includedir/classad/debug.h
%_includedir/classad/exprList.h
%_includedir/classad/exprTree.h
%_includedir/classad/fnCall.h
%_includedir/classad/indexfile.h
%_includedir/classad/lexer.h
%_includedir/classad/lexerSource.h
%_includedir/classad/literals.h
%_includedir/classad/matchClassad.h
%_includedir/classad/operators.h
%_includedir/classad/query.h
%_includedir/classad/sink.h
%_includedir/classad/source.h
%_includedir/classad/transaction.h
%_includedir/classad/util.h
%_includedir/classad/value.h
%_includedir/classad/view.h
%_includedir/classad/xmlLexer.h
%_includedir/classad/xmlSink.h
%_includedir/classad/xmlSource.h


%post -n condor
/sbin/chkconfig --add condor
/sbin/ldconfig
if [ -e /var/lib/condor/condor_master.pid ]; then
   mv /var/lib/condor/condor_master.pid /var/run/condor/condor_master.pid
fi

%preun -n condor
if [ $1 = 0 ]; then
  /sbin/service condor stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del condor
fi

%postun -n condor
if [ "$1" -ge "1" ]; then
  /sbin/service condor condrestart >/dev/null 2>&1 || :
fi
/sbin/ldconfig

# Queue:

%changelog
* Fri Jun 26 2013 <eerlands@redhat> - 7.8.8-0.4.3
- Update mongodb-devel dependency to 1.6.4-6, to pick up mongodb fixes from 2.3.5

* Fri Jun 10 2013 <eerlands@redhat> - 7.8.8-0.4.2
- Fix startd DoS vulnerability from KILL/PREEMPT/SUSPEND/CONTINUE (BZ919037)

* Fri Feb 1 2013 <tstclair@redhat> - 7.8.8-0.4.1
- Fix regression in job signal escalation (BZ904178)

* Fri Jan 18 2013 <tstclair@redhat> - 7.8.8-0.4
- Fix ring_buffer internal state management problem (BZ894074)

* Wed Jan 9 2013 <tstclair@redhat> - 7.8.8-0.3
- Update summary for cluster-resource-agent 

* Wed Jan 9 2013 <tstclair@redhat> - 7.8.8-0.2
- Fixed aviary util module exception for 2.4 compatability (BZ886448) 
- Added plumage check for suspicious history ads (BZ840076)
- Fix to make openmpiscript .el and arch agnostic (BZ886014)

* Wed Dec 14 2012 <tstclair@redhat> - 7.8.8-0.1
- Pre-release of 7.8.8, Wed Dec 12 17:13:00 2012 -0600 (3a3aca36)
-  Put EC2 jobs on hold for credential errors (GT2274) 
-  Fixed condor.init bug preventing stopping of HTCondor on shutdown. (GT3368)
- Merged V7_8-build-branch at (c2a548ef)
-  Fixup of cmd line option parsing in aviary contrib py tools (BZ886448)
-  Plumage history script fixes for better handling of missing fields in summary (BZ840076)

* Wed Dec 5 2012 <tstclair@redhat> - 7.8.7-0.6
- Pre-release of 7.8.7, Wed Dec 5 11:34:15 2012 -0600 (576a6070)
-  Apply CEDAR address rules to the schedd address in the claim request (GT3330)
-  Aviary submission ids fixed out-of-order bug
-  Fixed wrong schedd name lookup in aviary locator endpoints (BZ871080)
-  Fix for incorrect X_RUNS_HERE default, now TRUE again (BZ878598)
-  Call os._exit vs sys.exit when -h is called (BZ773434)
-  Fix chrip getfile to open for BINARY access on windows (GT3355)
-  Don't create ec2 ssh keypair if user doesn't request it (GT3061)
-  Do not prematurely destroy user's keypair file. (GT3289)
-  Fixed incorrect value assignment in schedd stats for qmf (BZ883794)
- Merged V7_8-build-branch at (a0c28619) 
-  Several installer fixes from upstream modifications
-  Updated qpid 0.18 references
-  Fixed incorrect value assignment in schedd stats for qmf (BZ883794) 

* Thu Nov 15 2012 <tstclair@redhat> - 7.8.7-0.5
- Pre-release of 7.8.7, Wed Nov 14 14:44:53 2012 -0600 (a37aa4b1)
-  Generate SSH keypair names that OpenStack will like (GT3060)
-  Fix condor_master crashes after reconfig with controller changes (GT3292)
-  Continued Condor -> HTCondor transitions. 
- Merged UPSTREAM-7.9.3-BZ869414-stats-window-quantum (4eabfbf3)
-  Update defaults for STATISTICS_WINDOW_SECONDS and STATISTICS_WINDOW_QUANTUM
- Merged UPSTREAM-7.9.0-GT2982-collector-query (49cb8581)
-  Add query information to collector's debug output 
- Merged UPSTREAM-7.9.1-BZ809732-parallel-cleanup (8be22535)
-  Shutdown cleanup for parallel jobs

* Wed Nov 7 2012 <tstclair@redhat> - 7.8.7-0.4
- Pre-release of 7.8.7, Wed Nov 7 09:44:37 2012 -0500 (dd1a982d)
-  Minor formatting change in plumage history script
- Revert V7_8-qpid-0.18-churn-branch merges
-  QMF fixes revert back to old API
- Merged UPSTREAM-7.9.2-BZ872705-cgroup-local at (77c296f4) 
-  Disable cgroup tracking on local universe jobs

* Thu Nov 5 2012 <tstclair@redhat> - 7.8.7-0.3
- Merged V7_8-qpid-0.18-churn-branch at (4653820e)
-  QMF contrib signature updates for use of ManagementObject to shared_ptr

* Thu Nov 1 2012 <tstclair@redhat> - 7.8.7-0.2
- Pre-release of 7.8.7, Thu Nov 1 10:34:25 2012 -0500 (bf249128)
-  man-page branding switch to HTCondor
-  Fixes to aviary locator impl to ensure unique name keys (BZ871080)
-  Changes to aviary schema to make new submission id fields xsd attributes
- Merged V7_8-qpid-0.18-churn-branch at (bf92996b)
-  QMF contrib signature updates for use of ManagementObject to shared_ptr
- Merged V7_8-build-branch at (f85fd74d)
-  Update qpid refs to 0.18

* Thu Oct 25 2012 <tstclair@redhat> - 7.8.7-0.1
- Pre-release of 7.8.7, Thu Oct 25 13:48:57 2012 -0500 (59fa6c1a)
-  Fix for crash in aviary schedd plugin due to nil submissionid (BZ869525)
-  QMF schedd plugin compat fixup for stat attribute changes (BZ867989)
-  Fixes in contrib for unquoted submission names in job submits (BZ864560)
-  Fix missing data in condor_raw and condor_stats in mongodb (BZ866515)
- Merged V7_8-build-branch at (99376265)
- Merged UPSTREAM-7.9.0-BZ525237-cgroup-memorylimit at (6681b48d)
-  Enforce hard limit check on cgroup.

* Fri Oct 12 2012 <tstclair@redhat> - 7.8.6-0.3
- Pre-release of 7.8.6, Wed Sep 19 18:23:01 2012 -0500 (7995bab0)
-  Job history collection daemon and tool (BZ840076)
-  Fix up of scheduler attr name changes in qmf src and schema
- Merged V7_8-build-branch at (6b08258c)
-  Modify the default for MODIFY_REQUEST_EXPR_RequestMemory

* Wed Oct 10 2012 <tstclair@redhat> - 7.8.6-0.2
- Pre-release of 7.8.6, Wed Oct 10 09:43:59 2012 -0500
-  Prevent Schedd EXCEPT when SUSPEND/CONTINUE_JOB (BZ862550)
-  Fixed startd crash handling MODIFY_REQUEST_EXPR (GT3260)
-  Prevent noop job race from asserting the schedd (GT3156)
- Merged V7_8-build-branch at (dd826049)
-  Update and fix configd package dependencies

* Fri Oct 5 2012 <tstclair@redhat> - 7.8.6-0.1
- Pre-release of 7.8.6, Thu Oct 4 17:05:57 2012 -0500
-  Correctly log the username the starter will run the job as (GT3247)
-  Ignore trailing characters in ClassAd functions int() and real(). (GT3102)
-  Fixed job id parse check in aviary job control ops (BZ840410)
-  Fix problems using ssh_to_job with DEDICATED_EXECUTE_ACCOUNT_REGEXP. (GT3232)
-  Have the negotiator not ASSERT if it detects duplicates.  (GT3221)
-  Eliminate code that breaks DAGMan restart (GT3207)
-  Submission query refactoring to provide HTCondor location in id for aviary (BZ850519)

* Fri Sep 21 2012 <tstclair@redhat> - 7.8.5-0.1
- Pre-release of 7.8.5, Wed Sep 19 18:49:56 2012 -0500 (799c6ca9)
-  7.8 Series CVE catch up
-  Refactoring to fix aviary submission id qdate duplicates (BZ856646)
- Merged UPSTREAM-7.9.1-BZ809732-parallel-cleanup (9ab4c4fa)
-  Fix WAIT_FOR_ALL semantics in parallel universe

* Fri Sep 14 2012 <tstclair@redhat> - 7.8.4-0.1
- Pre-release of 7.8.4, Fri Sep 14 09:53:03 2012 -0500 (89f037f2) 
-  Fixes for file transfer with older starters (GT3208)
-  Fixed issue with the shadow and gridmanager not pointing to the same SPOOL
-  Fixed case where daemon could leave behind a log file owned by root. (GT2894)
-  Fix schedd crash if there is a . in $$ expansion text. (GT3216)
-  Fix condor_q -run to work with local universe (GT3150)
-  Check the length of a macro when comparing against "DOLLAR" (GT3217) 
-  Have the negotiator use the same unique key as the collector does (GT3221)
-  Fixes for qdate problem with aviary getSubmissionID impl
-  Fixes large values for JobAccumExecuteTime and JobsAccumPostExecuteTime. (GT3227)
- Merged V7_8-build-branch at (e996056c)
- Merged UPSTREAM-7.9.0-BZ591521-local-machine-resources-rebased at (e69039b2) 
-  Fill values for TotalSlotXxx from configurable resources (BZ833095)
- Merged UPSTREAM-7.9.0-BZ784051-BZ834669-parse-fail-line-num-rebase at (9288726f)
- Merged UPSTREAM-7.9.0-BZ805448-submitter-limits-rebased at (2b4a7fc7)
- Merged UPSTREAM-7.9.0-BZ834669-strict-parsing-flag-rebase at (3726afae)

* Thu Aug 23 2012 <tstclair@redhat> - 7.8.3-0.1
- Pre-release of 7.8.3, Wed Aug 22 16:13:21 2012 -0500 (7e08a306) 
-  Clear the string rep cache, hen we get a new UDP packet (GT3161)
-  Improved error message when execute directory does not exist. (GT3194)
-  Fix for CVE-2012-3416
-  Fixed a bug in the hourly and daily draining rate (GT3199)
-  Revert default definition of JOB_QUEUE_LOG (BZ848823)
-  Fix condor_q misses job ads when schedd version unknown (GT3206)
-  Fix for periodic cat: /var/run/condor/condor_master.pid (BZ846955)
- Merged V7_8-build-branch at (ea0606dc) 
- Merged UPSTREAM-7.9.1-BZ825365-large-acct-logs at (31666249)
-  Properly enforce once-only resource check on accountant startup (BZ825365)

* Fri Aug 10 2012 <tstclair@redhat> - 7.8.2-0.3
- Pre-release of 7.8.2,  Fri Aug 10 08:59:04 2012 -0500 (6dcef042) 
-  Fix flipped comparison in build_valid_daemon_name (GT3172)
-  Fix small memory leak in sysapi_find_linux_name 
-  Let the schedd remove old local universe execute directories. (GT3176)
-  Cleanup a bunch of spelling mistakes in the default configs (BZ811845)
-  Do case-insensitive comparison for hostnames in daemon names. (GT3172)
-  Fix load average on non-English versions of Windows (GT3182)
-  Fixes for some issues with aviary submission paging
-  Notice that job is idle on ULOG_JOB_RECONNECT_FAILED event (GT3189)
- Merged V7_8-build-branch at (51fc702e)

* Fri Jul 27 2012 <tstclair@redhat> - 7.8.2-0.2
- Pre-release of 7.8.2, Fri Jul 27 11:18:25 2012 -0500 (d8807782)
-  Cluster commands will now error out if there is a problem reading config
-  Fixes for proper build dependency checks (GT3125) 
-  Fix "stuck in preempting" bug.  (GT3076)
-  Disable cgroup max memory tracking, it doesn't reset when a group is re-used (GT3003)
-  Fetchwork jobs now claim d-slots instead of claiming the whole p-slot (GT2819)
-  Updated Aviary codegen to use WSDL2CPP, and suppress GCC warnings (BZ784080 & BZ749370)
- Merged V7_8-build-branch at (11a7dce4)
-  Cleanup minor packaging changes

* Fri Jul 5 2012 <tstclair@redhat> - 7.8.2-0.1
- Pre-release of 7.8.2, Tue Jul 10 09:57:07 2012 -0500 (f75d5d4d)
-  7.8 rebase.
- Merged V7_8-build-branch at (712facfa)
-  Modify packaging to new baseline

* Thu May 31 2012 <tstclair@redhat> - 7.6.8-0.4
- Merged V7_6-build-branch at (645dd397)
-  Update product GUID to rev for upgrades (BZ825819)

* Thu May 24 2012 <tstclair@redhat> - 7.6.8-0.2
- Pre-release of 7.6.8, Mon May 21 17:54:19 2012 -0400 (7a74531f)
-  Fix for unset qdate in submits for aviary and qmf contribs (BZ813807)
-  Reorg and updates of aviary contrib base config file
- Merged V7_6-build-branch at (eca08aac)
-  Revert upstream mods to windows installer

* Fri May 4 2012 <tstclair@redhat> - 7.6.8-0.1
- Pre-release of 7.6.8, Wed May 2 10:40:07 2012 -0700 (b7230bfe)
-  QMF contrib job collection reset fix (BZ799838)
-  Mods to help faster client failover when using locator aviary contrib (BZ807398)
-  Fix treatment of real values in compat ClassAd::EvalBool()
-  Fix negotiator bug involving groups failing to claim weighted slots.  (GT2958)
-  Fixed corner case in interaction between autoregroup and new no-surplus
- Merged V7_6-build-branch at (505198ef) 

* Thu Apr 26 2012 <tstclair@redhat> - 7.6.7-0.14
- Pre-release of 7.6.7, Wed Apr 25 11:32:18 2012 -0500 (13dee4b5)
-  Aviary fix to prepend and try with iwd when fetching job (BZ739219)
-  Aviary modification to seach by owner for submission summary (BZ732388)
-  Aviary fix for case-insensitive compare of basic attrs (BZ800344)
-  Changed cluster_suite external to cluster_ra and fixes for (BZ815570,BZ816224,BZ816247)
- Merged V7_6-build-branch at (453c80b4)
- Merged UPSTREAM-7.9.0-BZ805448-submitter-limits at (63205b81)
-  Updated to take consider-preemption settings (BZ805448)
-  Update diagnostic message (BZ805581)
- Reverted merge of UPSTREAM-7.8.0-BZ810905-chroot-job

* Mon Apr 23 2012 <tstclair@redhat> - 7.6.7-0.13
- Pre-release of 7.6.7, Mon Apr 23 10:04:20 2012 -0500 (d92af83b)
-  Fix plumage install locs

* Fri Apr 20 2012 <tstclair@redhat> - 7.6.7-0.12
- Pre-release of 7.6.7, Fri Apr 20 11:57:45 2012 -0500 (380839f2)
-  Fixes to support rhevm<>deltacloud through gahp (BZ803895 & BZ810519) 
-  Updates to new submission paging feature in aviary contrib (BZ800079)
-  Updates to support report queries from cumin (BZ801447)
- Merged V7_6-build-branch at (0b912098)
- Merged UPSTREAM-7.9.0-BZ531468-log-dprintf-levels at (9864865c)
-  Added D_LEVEL logging output flag (BZ531468)
- Merged UPSTREAM-7.9.0-BZ591521-local-machine-resources at (9427736d)
-  Added support for configuring local resources (BZ531468)
- Merged UPSTREAM-7.9.0-BZ784051-parse-fail-line-num at (1cc40eb7) 
-  Report record number in parse failures in the classad log (BZ784051)
- Reverted merge of UPSTREAM-7.7.6-BZ784113-rand-collector 

* Fri Apr 13 2012 <tstclair@redhat> - 7.6.7-0.11
- Pre-release of 7.6.7, Thu Apr 12 16:37:48 2012 -0500 (fb95c1c0) 
-  Fixed paring condor_status -attributes (GT2903) 
-  Added facility to delay DC reconfig (BZ784434)
-  Fixed useage of --riccipassword for the cluster tools (BZ811659)
-  Enable locator support for QueryServer in RHHAv2 tools (BZ810982)
- Merged V7_6-build-branch at (599a8f0f) 
- Merged UPSTREAM-7.7.6-BZ721110-scoped-default-limits at (a5756ab5)
-  Added logic to replace '.' with '_' when reporting concurrency limits (BZ721110)
- Merged UPSTREAM-7.8.0-BZ810905-chroot-job at (7c3b42a6) 
-  Added named chroot feature (BZ810905)
- Merged UPSTREAM-7.9.0-BZ784051-parse-fail-line-num at (54aeec25) 
-  Report record number in record parse failures (BZ784051)

* Fri Apr 6 2012 <tstclair@redhat> - 7.6.7-0.10
- Pre-release of 7.6.7, Wed Apr 4 09:31:46 2012 -0500 (d3a81206)
-  Added timestamp on spool rollover (BZ784105)
-  Updated Cluster Suite tools (BZ805215 & BZ807399 & BZ807735)
- Merged V7_6-build-branch at (cb63eaad)
- Merged UPSTREAM-7.7.0-BZ713511-POST-dag-script at (22d8215f)
-  Feature catch and regression fix (BZ809799)

* Fri Mar 30 2012 <tstclair@redhat> - 7.6.7-0.9
- Pre-release of 7.6.7, Fri Mar 30 09:03:36 2012 -0500 (70dca5ce)
-  Fix for RequestMemory parsing in condor_submit (BZ772009) 
-  Fix so HTCondor can run jobs with real number in RequestMemory (BZ740774)
-  Removed the binary check on stop in condor_schedd.init (BZ766612)
- Merged V7_6-build-branch at (68505664)
- Merged UPSTREAM-7.7.6-BZ803897-advertise-negotiated-group at (542f461a1) 
-  Advertise RemoteNegotiatingGroup, RemoteAutoregroup and Submitter versions

* Fri Mar 23 2012 <tstclair@redhat> - 7.6.7-0.8
- Pre-release of 7.6.7, Fri Mar 23 14:06:43 2012 -0500 (d6b616ac)
-  VM load added to LoadAvg (BZ502675)
-  Attributes added to ODS contrib slot samples
-  User-specified attributes should not be overridden by defaults (GT2902)
-  Minor man page update to condor_ssh_to_job (BZ783267) 
- Merged V7_6-build-branch at (dfdb4488)
-  Conflict resolution from upstream changes

* Fri Mar 16 2012 <tstclair@redhat> - 7.6.7-0.7
- Pre-release of 7.6.7, Fri Mar 16 09:41:47 2012 -0500 (90f13145) 
-  Submission paging support in Aviary
-  Added --prefix to mpirun in openmpiscript (BZ782132)
-  Fixes to contrib plumage_stats (BZ786825)
-  Fix for obituary during log rollover (BZ486480)
-  Changes in QMF contrib to make job server default publisher (BZ753822)
-  Remove vm-gahp updating utime on image (BZ750818)
- Merged UPSTREAM-7.7.6-BZ785140-total-slot-cpu at (db264292)
-  Addition of TotalSlotMem and TotalSlotDisk attributes
- Merge UPSTREAM-7.7.6-BZ788617-analyze-cclimits at (4ba003b2)
-  Enhanced negotiation to provide name of concurrency limits on match failure (BZ788617)
- Merged V7_6-build-branch at (093b1477)
-  Conflict resolution for avairy mods.  
-  Update UNHIBERNATE default (BZ756096)

* Fri Mar 9 2012 <tstclair@redhat> - 7.6.7-0.6
- Pre-release of 7.6.7, Thu Mar 8 15:01:09 2012 -0600 (cd5cb321)
-  Added Cluster Suite integration support for Job Server and Query Server
-  Fix openmpiscript using deprecated params (772587)
- Merged UPSTREAM-7.7.6-BZ721110-scoped-default-limits at (8c1f9ce6)
-  Added support for scoping concurrency limit defaults
- Merged UPSTREAM-7.7.6-BZ784968-neg-reread-config at (eb806170)
-  Added flag NEGOTIATOR_READ_CONFIG_BEFORE_CYCLE to re-read config each cycle
- Merged UPSTREAM-7.7.6-BZ785140-total-slot-cpu at (222f9192) 
-  Added TotalSlotCpus attribute to slot ad
- Merged UPSTREAM-7.7.6-BZ784113-rand-collector at (bee9094d)
-  Update from code review
- Merged V7_6-build-branch at (ec149fb9)

* Fri Mar 2 2012 <tstclair@redhat> - 7.6.7-0.5
- Pre-release of 7.6.7, Fri Mar 2 14:29:12 2012 -0600 (b0c01bfe)
-  Added support for cluster suite control of the condor_schedd (BZ785145)
-  Allow preemption to work properly with group quotas (GT2570)
-  Log active workers (BZ767613)
- UPSTREAM-7.7.6-BZ784113-rand-collector (9d7b8b99)
-  Query collector list at rand vs. in order 
- UPSTREAM-7.7.6-BZ751013-sig-cont (63125c86)
-  Fixed sending SIGCONT twice on continue event
- Merged V7_6-build-branch at (bd09bdd2)

* Fri Feb 24 2012 <tstclair@redhat> - 7.6.7-0.4
- Pre-release of 7.6.7, Wed Feb 22 12:50:31 2012 -0700 (2ba79eba)
-  Fix silent failure on MAX_<SUBSYS>_LOG configuration error (BZ755765)
- Merged UPSTREAM-7.7.6-BZ782054-vm-vnc at (3ab7e667)
-  Add attribute to enable/disable vnc capabilities in vmu (BZ782054)
- Merged UPSTREAM-7.7.6-ec2-enhancements at (b0f36b9b)
-  Add cron support to grid universe (BZ750078) 
-  Clear stale data on exit conditions (GT2606)
- Merged UPSTREAM-7.7.5-BZ733515-locator at (f3800cfc)
-  Fix for aviary provider init crash
- Merged V7_6-build-branch at (b3cfd0f2)

* Fri Feb 17 2012 <tstclair@redhat> - 7.6.7-0.3
- Pre-release of 7.6.7, Thu Feb 16 11:48:23 2012 -0600 (3e51c23b)
-  Fix problem with splitting partionable slot too many times (GT2043 & GT2816)
-  Fix return 0 on command -h (BZ773434)
- Merged UPSTREAM-7.7.5-BZ733515-locator at (10e62937)
-  Discovery capability so that cumin can find Aviary endpoints (BZ733515)
- Merged UPSTREAM-7.7.6-ec2-enhancements at (d4eb37c7)
-  Add support for idempotent EC2 RunInstances (BZ782552)
-  Add support for EC2 resource tagging (BZ782553)
- Reverted UPSTREAM-7.7.5-BZ785215-schedd-dslot merge
-  Issues discovered under testing (GT2818 & GT2826)
- Merge V7_6-build-branch at (faf59700)
-  Fix configd windows package dependencies
-  Fix old Java config on upgrade (BZ788452)

* Wed Feb 1 2012 <tstclair@redhat> - 7.6.7-0.2
- Pre-release of 7.6.7, Tue Jan 31 13:25:05 2012 -0600 (4d943fbd)
-  Fixed incorrect disk capacity reporting when free space >= 1TB on Windows. #2798
- Merged UPSTREAM-7.7.5-BZ785215-schedd-dslot at (97025d83)
-  Allow schedd to claim multiple dynamic slots w/o negotiation cycle (BZ785215)
- Merged UPSTREAM-7.7.5-BZ749823-aviary-log-level at (763a5069)
-  Enable human readable log level config in aviary contrib (BZ749823)
- Merged UPSTREAM-7.7.5-BZ784573-query-server-dprintf-crash at (d22fc511)
-  Fix for bad dprintf format in aviary_query_server contrib (BZ784573)
- Merged UPSTREAM-7.7.5-suspend-api at (e84b6252)
-  Aviary & QMF support for suspend and continue (BZ768336 BZ733498 BZ768319 BZ768328)
- Merge V7_6-build-branch at (d4d8292c)
-  Update external build dependencies to qpid 0.14 (BZ782103)

* Fri Jan 27 2012 <tstclair@redhat> - 7.6.7-0.1
- Pre-release of 7.6.7, Wed Jan 25 17:01:52 2012 -0600 (0037e7b4)
-  Exposed accounting group sorting for negotiation (GT2678)
-  Change the semantic for GROUP_AUTOREGROUP to emulate pre-HGQ (GT2679)
-  Multiple memory leak fixes (classads & StringList)
-  Chirp fixes for windows (GT2743 & GT2739)
-  Don't send signals to pid 0 when claim lease expires. (GT2736)
-  Fix race condition in parallel universe (GT2786)
- Merge V7_6-build-branch at (0d991d97)
-  Conflict resolution

* Tue Jan 17 2012 <tstclair@redhat> - 7.6.5-0.12
- Merge UPSTREAM-7.7.5-BZ773680-hold-job at (df0adbca)
-  Fix for aviary and qmf hold + release job. (BZ773680)

* Fri Dec 16 2011 <tstclair@redhat> - 7.6.5-0.11
- Pre-release of 7.6.5, Thu Dec 15 15:10:57 2011 -0600 (7a3eaf9e)
-  Fix startd to pass arguments through to the hibernate (GT2561)
-  Schedd now kills claims when the lease expires. (GT2706)
- Merge V7_6-build-branch at (42c1b252)

* Tue Dec 13 2011 <tstclair@redhat> - 7.6.5-0.10
- Pre-release of 7.6.5, Tue Dec 13 11:03:30 2011 -0700 (dbeabda9)
-  Fix condor_schedd misreports submitter ads for R jobs on restart (BZ757772)
-  Fix condor_schedd.init script isn't removing pidfile (BZ761588)
-  Fix History file and index management in condor_job_server (BZ754202)
-  Fix Dag submissions have incorrect job totals from plugin (BZ753829)
-  Fix sshd.sh output on failure conditions (BZ759154)
-  Fix too-deep splice (GT1751)
- Merge V7_6-build-branch at (c2dc67e7)
-  Update qpid and condor-wallaby refs
- Merge UPSTREAM-7.7.5-BZ745348-status-sort-expr at (0ec28fae)
-  Fix expression handling for string sort keys

* Thu Dec 8 2011 <tstclair@redhat> - 7.6.5-0.9
- Pre-release of 7.6.5, Thu Dec 8 Thu Dec 8 13:39:45 2011 -0600 (2f17b354)
-  Connection cleanup on failed/timeout reads in aviary contrib 
-  Fix for crash on exit from SSL config in aviary contrib
-  condor_rm -help && variants returned 1 when should be zero (BZ751072)
-  Fix problem with absolute paths in chirp commands (GT2630)
-  Fix startd crash when running cron job is removed. (GT2636)
-  Fix config param MAX_<SUBSYS>_<LEVEL>_LOG on 32-bit linux. (GT2638)
-  Fix looking at the current account SID vs. SYSTEM (GT2642)
-  Fix bug in transfer_input_files where directories on windows failed (GT2387)
-  Fix a problem causing corruption of master's environment on restart (GT2614)
-  Fixed unterminated strings in condor_power. (GT2651)
-  Fixed FS auth when /tmp is btrfs. (GT2583)
-  Fix Schedd's job evaluation timer can become unregistered. (GT2647)
-  Fixed schedd crash when writing % sign in hold reason (BZ758212) 
-  Fixed problem when using gid tracking and privsep and forking. (GT2658)
-  Debug and/or partiall solve ETIMEDOUT in ccb listener. (GT2695) 
-  Fix windows crash using security map file w/more than 128 entries. (GT2409)
- Merge V7_6-build-branch at (4997f94e)
- Merge UPSTREAM-7.7.5-BZ745348-status-sort-expr at (b2e85c01)
-  Enhanced condor_status -sort to accept generalized expressions (BZ745348)
- Merge UPSTREAM-7.7.5-BZ750063-ec2-runq at (35e49f0a)
-  Display EC2RemoteVirtualMachineName in condor_q -run, (BZ750063)
- Merge UPSTREAM-7.7.5-BZ752322-q-suspend at (98c0c044)
-  Update to show suspended jobs in condor_q summary line (BZ752322)
- Merge UPSTREAM-7.7.5-BZ752345-condor-command at (be967ce9)
-  Remove the empty executables condor (BZ752345)
- Merge UPSTREAM-7.7.5-BZ761165-EC2-Availability at (be0c56b3)
-  Fix spelling mistake in  EC2AvailabilityZone (BZ761165)
- Merge UPSTREAM-7.7.3-collector-perf at (7a00a914)
-  Handle queries in a non-blocking fashion (BZ761671)

* Thu Nov 28 2011 <tstclair@redhat> - 7.6.5-0.8
- Added condor_schedd.init to install targets (BZ755552)

* Thu Nov 10 2011 <tstclair@redhat> - 7.6.5-0.7
- Add python suds dependency for aviary

* Fri Nov 4 2011 <tstclair@redhat> - 7.6.5-0.6
- Fix for crash on exit from SSL config in aviary contrib (BZ751278)
- Merged UPSTREAM-7.7.1-BZ690297-shadow-cleanup at (5e3c1427)
-  Fixes for condor_hold removal from queue (BZ751082)

* Mon Oct 31 2011 <tstclair@redhat> - 7.6.5-0.5
- Remove python suds dependency

* Fri Oct 28 2011 <tstclair@redhat> - 7.6.5-0.4
- Updates to aviary examples (BZ705365)

* Thu Oct 27 2011 <tstclair@redhat> - 7.6.5-0.3
- Pre-release of 7.6.5, Thu Oct 27 14:38:09 2011 -0400 (69a32f2c)
-  Added load_avg support for linux kernels with major number 3 (BZ748825)
-  Changes for single file aviary logging (BZ749023)
-  Fixes for aviary examples (BZ705365)
-  Fixes for Java detection on windows (BZ748339)
-  Fixed format string type mismatch in StartdServerTotal::displayInfo (BZ565501)
- Merge V7_6-build-branch at (c3dc149b)

* Fri Oct 21 2011 <tstclair@redhat> - 7.6.5-0.2
- Merged UPSTREAM-7.7.1-BZ690297-shadow-cleanup at (1c4c955a)
-  Revert WANT_HOLD mod as it caused test failure (GT2565)

* Thu Oct 20 2011 <tstclair@redhat> - 7.6.5-0.1
- Pre-release of 7.6.5, Thu Oct 20 13:03:52 2011 -0700 (4eaaaaf2)
-  Fix check for parsing in lex_cast (GT2471) 
-  Fix windows startd activation performance (GT2441)
-  Detect failure to receive claim_if in keep alive (GT2563)
-  Fix aviary contrib examples (BZ705365)
-  Fix to utc conversions in plumage contrib script (BZ733511)
-  Fixed CA lookups in aviary contrib SSL support (BZ746251,BZ694612)
-  Set all other daemons besides schedd to fork vs. clone (GT2558)
-  set_priv(ROOT_PRIV) should also setegid(root) (GT2502)
-  Added AuthorizeMethod ("cumin" only) on QMF objects
-  Added QMF_MANAGEMENT_METHOD_ECHO, defaults FALSE
-  Disable ManagementMethod on MasterObject by default
- Merge V7_6-build-branch at (81791988)
- Merged UPSTREAM-7.7.1-BZ690297-shadow-cleanup at (a6f9cda7)
-  Fix regression in WANT_HOLD functionality (GT2565)

* Fri Oct 14 2011 <tstclair@redhat> - 7.6.4-0.8
- Pre-release of 7.6.4,  Fri Oct 14 16:55:30 2011 -0500 (28a0d32b)
-  Fix unnecessary spool interaction (BZ703992)
-  Updated plumage dependencies (BZ733511)
-  Update aviary packaging to include examples (BZ705365) 
-  Do not login network if SKIP_WINDOWS_LOGON_NETWORK is true (GT2549)
-  Fix dedicated scheduler DNS-free look method (GT2540)
-  Fix starter shutdown to wait for HOOK (BZ738338)
-  Fix to transfer modified VM images back to submit (GT2530)
- Merge V7_6-build-branch at (cdb2b122)

* Fri Oct 7 2011 <tstclair@redhat> - 7.6.4-0.7
- Pre-release of 7.6.4, Fri Oct 7 13:46:05 2011 -0500 (7745631b)
-  Fix ImageSize cap (GT2529)
-  Fix integer overflow in condor_status (BZ565501)
-  Fix job server crashes on submit (BZ732452)
-  Fix bug in accountant init (GT2509)
-  Fix libvirt_simple_script.awk full path issue (GT2511)
-  Cleanup windows continue due to procd failure
-  Updates to plumage ODS contrib script 
-  Updates to lex_cast (GT2471)
- Merge UPSTREAM-7.7.1-BZ694861-preen-logging at (74b60ad4)
-  Fix from compiler warnings
- Merge V7_6-build-branch at (40362bab)

* Fri Sep 30 2011 <tstclair@redhat> - 7.6.4-0.6
- Pre-release of 7.6.4, Fri Sep 30 11:23:40 2011 -0500 (809ba6c0)
-  Addition of ODS a.k.a plumage
-  Fix group quota assignment for partitionable slots (GT2440)
- Merge UPSTREAM-7.7.3-BZ707771-userprio-rollup at (2f21a5a3)
-  Fixed bug in Accountant init
- Merge V7_6-build-branch at (91c28875)
-  Fixes for test suite

* Wed Sep 27 2011 <tstclair@redhat> - 7.6.4-0.5
- Pre-release of 7.6.4, Mon Sep 26 12:14:34 2011 -0500 (67346a27)
-  condor_userprio now prints error when HTCondor is not running (BZ715293)
-  Fix deferred jobs transition to idle after startd shutdown (BZ712026)
-  Fix input validation for deferral_* submit params (BZ712111)
-  Fix condor_preen EXCEPT when cleaning lock dirs (GT2495)
-  Fixed depth at which preen attempts to clean lock dirs (GT2496)
-  condor_preen now honors -remove when processing lock files (GT2497)
- Merge UPSTREAM-7.7.3-BZ707771-userprio-rollup at (592de8df)
-  Added support for userprio to report acctgrp stats (BZ707771)
- Merge UPSTREAM-7.7.2-BZ635012-suspend-continue at (4cffbfd9)
-  Update logic to fall in line with expectation (GT2479)
- Merge V7_6-build-branch at (0c82bdb5)
-  Cleanup config and test files

* Fri Sep 16 2011 <tstclair@redhat> - 7.6.4-0.4
- Pre-release of 7.6.4, Thu Sep 15 15:44:55 2011 -0400 (bfa78a4c)
-  Add a "runtime" or "queue date" statistic submissions (BZ736709)
-  Fix for modifying ATTR_SUBMISSION crash (BZ705016)
-  Fix for invoking incorrect/unknown operation on Aviary crash (BZ738719)
-  Update help message for condor_router_rm (BZ725746)
-  Fix output for condor_router_q (BZ725758)
-  Fix CRON job object state not marked idle after forced termination (BZ734871)
-  Allow reading of 255 characters in classad log (GT2450)
- Merge V7_6-build-branch at (a17cdde3)
-  Fix cmdline windows install (BZ735332)
- Merge UPSTREAM-7.7.2-BZ635012-suspend-continue at (6648d879)
-  Add 1st class support for condor_suspend and _continue (BZ635012)
- Merge UPSTREAM-7.7.2-BZ610265-preserve-rel-exe at (91784cd6)
-  Disable prepend of paths to the executable (BZ610265)
- Merge UPSTREAM-7.7.2-BZ739203-EC2-scale at (ff1bc271)
-  Fix EC2 scaling (BZ739203)

* Fri Sep 09 2011 <eerlands@redhat> - 7.6.4-0.3
- Pre-release of 7.6.4, Wed Sep 7 14:01:51 2011 -0700 (89de85ab)
- Fix for incorrect datetime encoding in aviary contrib (BZ733055)
- Updates to default aviary local config file for ssl
- Fixed a memory leak from some calls to param_without_default() (BZ734213)
- Fix to aviary & qmf contrib to prevent keyword and submission name edits (BZ702489)
- Init-like script to control the schedd (BZ580270)
- Corrected check in the acct that allowed submitter records to be deleted (BZ675697)
- Merge uw/V7_6-branch to V7_6-build-branch (e28361cbab)

* Fri Aug 26 2011 <tstclair@redhat> - 7.6.4-0.2
- Pre-release of 7.6.4, Thu Aug 25 10:35:37 2011 -0500 (3669a28c)
-  Fixed inifinte loop in IPVerify (GT2413)
-  Minor updates to build configuration
- Merge V7_6-build-branch at (95460617)
- Merge UPSTREAM-7.7.0-BZ713511-POST-dag-script at (6ad8256f)
-  Catchup with upstream tracking
- UPSTREAM-7.7.1-BZ732797-fsync-ded-sched at (314a1b92)
-  Reduce fsyncs in dedicated scheduler (BZ732797) 

* Thu Aug 18 2011 <tstclair@redhat> - 7.6.4-0.1
- Pre-release of 7.6.4, Thu Aug 18 16:44:52 2011 -0400 (bb2755d5)
-  Fix bug where parallel jobs got preempted on job lease renewal (GT2317)
-  Aviary SSL support (BZ694612)
-  Fixed override for default RequestMemory (GT2348)
-  Fixed collector crash on toggling ENABLE_CCB_SERVER to false (GT2357)
-  HTCondor service depend on Dhcp on Windows (GT2369)
-  fsync optimization in the negotiator (GT2342)
-  Fix for QMF build of MgmtCollectorPlugin on Windows
-  Addition of Documentation to the condor src repository (GT2312)
-  Remove executables from windows distribution (BZ726347)
- Merged UPSTREAM-7.7.1-BZ668039-classad-unparse at (5044ffea)
-  Addition of classad function unparse (BZ668039)
- Merged UPSTREAM-7.7.1-BZ690297-shadow-cleanup at (08302a5)
-  Fixed periodic_remove and hold would release_claim (BZ690297)
- Merged UPSTREAM-7.7.1-BZ694861-preen-logging at (c3e98f50)
-  Support TOOL_LOG-ing in condor preen (BZ694861)
- Merged UPSTREAM-7.7.1-BZ699726-accept-shadow at (31e9403b)
-  From testing up MAX_ACCEPT_PER_CYCLE to 10 (BZ699726)
- Merge V7_6-build-branch at 0524d265
-  Update manpages for condor_vacate (BZ700105) 

* Tue Jul 26 2011 <tstclair@redhat> - 7.6.3-0.3
- Merge UPSTREAM-7.7.0-BZ709713-ec2-ebs-support at d1b0a92b
-  Fix for multiple ebs volumes (BZ725827)
- Merge UPSTREAM-7.7.1-BZ725826-ebs-ami-shutdown at c4c421bc
-  Set all EC2 instances to terminate on shutdown (BZ725826)
- Merged V7_6-build-branch at 0a19a26
-  Update condor-wallaby, job-hooks, and low-latency refs
-  Fix for windows removal of condor_router_* (BZ720374)
-  Additional logic to test (BZ720507)

* Wed Jul 13 2011 <tstclair@redhat> - 7.6.3-0.2
- Pre-release of 7.6.3, Wed Jul 13 12:46:54 2011 -0700 (c8b05d33) 
-  Fix for damaged job queue during cluster rollover (BZ720400)
-  Patches for libdeltacloud 0.9-1 support (GT2264)
-  Update file extensions for condor_router_* (BZ720374)
-  Fix parallel universe schedd crash (BZ720507)
-  Set proper defaults for parallel universe negotiation (GT2253)
-  Set default for INVALID_LOG_FILES (GT2288)
- Merged V7_6-build-branch at 6f829436
-  Update condor-wallaby ref to 4.1-2
- Merge UPSTREAM-7.7.1-BZ712987-submitter-sort at 4b64ddd0
-  Fix for negotiation sort by starvation (BZ712987) 
- Merge UPSTREAM-7.7.1-BZ716519-zero-pie-halt at a058a629
-  Negotiation optimization to break when zero pieLeft (BZ716519)

* Wed Jul 6 2011 <tstclair@redhat> - 7.6.3-0.1
- Pre-release of 7.6.3, Tue Jul 5 13:58:14 2011 -0500 (862a4873)
-  Fix for Startd RANK preemption (BZ719019) 
-  Add in default hidden attributes necessary for aviary submit (BZ700774)
- Merged V7_6-build-branch at 862a4873
-  Update condor-low-latency ref to 1.2-1
- Merge UPSTREAM-7.7.0-BZ718104-classad-debug at 91a074a
-  Fix for classad debug (BZ718104)
- Merge UPSTREAM-7.7.1-BZ712975-trim-startd-ads at abc694f9
-  Fix for trimming non matching GROUP_DYNAMIC_MACH_CONSTRAINT ads (BZ712975)  

* Tue Jun 28 2011 <tstclair@redhat> - 7.6.2-0.2
- Pre-release of 7.6.2, Tue Jun 28 09:49:52 2011 -0500 (536629e3)
-  Fix condor_router_history not handled exception (BZ631804)
-  Fix submitters requiring extra pie spin that isn't necessary (BZ703905)
-  Filter "no idle jobs" submitters prior to phase 4.1 (BZ706512)
-  Fix negotiating groups with no submitters (BZ712972)
-  Fix negotiator overwhelmed with rejForSubmitterLimit rejections (BZ712973)
-  Enable additional GROUP_DYNAMIC_MACH_CONSTRAINT behavior (BZ712975)
- Merged V7_6-build-branch at 536629e3
-  Fix for build mods which caused configd to break on windows
- Merge at UPSTREAM-7.7.0-BZ716466-ec2-vpc-support 43cebcc1
-  Added support ec2 vpc support (BZ716466)

* Wed Jun 22 2011 <tstclair@redhat> - 7.6.2-0.1
- Pre-release of 7.6.2, Wed Jun 22 11:33:52 2011 -0700 (e66c9bb4)
-  Fixed surplus HQQ allocation check (GT2262)
-  Fix procd death on signal escalation (GT2247)
-  Fixed Windows*64 condor-reuse-slot* users on log-on screen (BZ699643)
-  Only check if ulog is on NFS if LOG_ON_NFS_IS_ERROR=TRUE (GT2257)
-  Fix CONDOR_ADMIN on Windows install script (GT2254)
-  Fix hold+release of running jobs removal (BZ708944)
-  Fix ded-sched crash when idle parallel jobs held in queue (GT2253)
-  Fix for param_boolea -> param_boolean 
-  Fix for jobserver cleanup on shutdown
-  Fix shadow crash on failed user log open (GT2233)
-  Fix to add back condor_router_* (BZ712529)
-  Fix DAGMan jobs queued when held/dag file removed/released (BZ708944)
-  Updated aviary submit.py script for adding xml attributes sudsz >= 0.4.1
-  Fixed bug in deactivation of claims (BZ707770)
-  Fix condor_history buffer overflow on constraint expression (GT2210)
-  Fix to ensure job status is up-to-date qmf job server
-  Fix groups are not sorted in starvation order (BZ707081)
- Merged V7_6-build-branch at 09962528
-  Catch up fixes for latest build modifications
- Merge UPSTREAM-7.7.0-BZ705437-timed-queue-crashes at 955366c6
-  Fixed memory access error (BZ705437)
- Merge UPSTREAM-7.7.0-BZ675432-shadow-memory at 1fbe8dbe
-  Push param table to be statically generated (BZ675432)
- Merge UPSTREAM-7.7.0-BZ709713-ec2-ebs-support at b7b7ac7f
-  Added support for availability zone and ebs volumes (BZ709713)
- Merge UPSTREAM-7.7.0-BZ713511-POST-dag-script at e1b2e1c7
-  Always run POST script even if PRE fails (BZ713511)

* Thu Jun  2 2011 <matt@redhat> - 7.6.1-0.10
- Fixed aviary Windows requirements expansion to include WINNT61 (BZ694656)
- Fixed job status caching bug in GetJobSummaries (BZ709873)
- Fixed missing summary strings (BZ708435)
- Merged V7_6-build-branch at 6793b952
-  Fixed execute tmp deletion on Windows (BZ709659)

* Thu May 26 2011 <matt@redhat> - 7.6.1-0.8
- Fixed double free in aviary's getData (BZ707618)

* Mon May 23 2011 <matt@redhat> - 7.6.1-0.6
- Fixed master shutdown issue when configured with an HA daemon (BZ704104)
- Merged V7_6-build-branch at 4d148dc3
-  Fixed import of qpid-qmf for Windows MSI (BZ706415)

* Tue May 17 2011 <matt@redhat> - 7.6.1-0.5
- Added hard dependency on wso2 >= 2.1.0-2 for BZ698207
- Updated aviary valgrind found leaks (BZ695410)
- Resolved KILL policy bug from BZ563337 (BZ703525)
- Resolved SEGV in condor_triggerd during ad processing (BZ705343)

* Wed Apr 27 2011 <matt@redhat> - 7.6.1-0.4
- Pre-release of 7.6.1, Wed Apr 27 12:52:34 2011 -0400 (27972e89)
-  Merge of aviary contrib, was V7_6-aviary-branch
-  Fixed circular attribute ref crash in negotiator (GT2086)
-  Fixed MonitorSelfAge, was always 0 (BZ699571) (GT2089)
-  Bumped ClassAd .so version to 1.1.0 (BZ698238) (GT2056)
-  Ealier loop halting for group quotas (BZ678590) (GT2054)
-  Fixed uninit free() in AmazonJob in gridmanager (BZ698946)
-  Fixed incorrect results in attr lookup in qmgmt (GT2101)
-  Fixed EXCEPT in SOAP GET from non-existent WEB_ROOT_DIR (GT2100)
- Merge V7_6-build-branch at 212ba6e7
-  Windows installer "back button" now opens previous page in wizard (BZ697423)
-  Windows installer now detects previous installed version (BZ696957)

* Thu Apr 21 2011 <matt@redhat> - 7.6.1-0.3
- NOTE: V7_6_0 has been updated to match the source tarball
- Pre-release of 7.6.1, Thu Apr 21 15:46:47 2011 -0500 (3a93c0a4)
-  Better input stream checking in new ClassAds (GT2080)
-  Guard againts updateShadow on starter exit (caused DELAYED claim reuse)
-  condor_trigger_config allows specification of auth mechanism (BZ694857)
-  Triggerd no longer crashes if triggers exist on startup (BZ698425)
-  Triggerd no longer excepts if given bad QMF_BROKER_HOST (BZ698782)
- Merge V7_6-aviary-branch at 0017dd4c
-  Fixed hardcoded (9090) port
- Merge V7_6-build-branch at 4382e0ac

* Wed Apr 20 2011 <matt@redhat> - 7.6.1-0.2
- NOTE: IntegrationBranch.patch generated from V7_6_0-branch
-       (eb220de6) tip. There is a discrepancy between the released
-       7.6.0 source tarball and the release tag V7_6_0. The released
-       7.6.0 source tarball equals V7_6_0-branch tip, not V7_6_0 tag.
- Pre-release of 7.6.1, Wed Apr 20 16:53:12 2011 -0500 (4382e0ac)
-  Fixed bad type-cast in analyze func() handling (GT2059)
-  Removed TRUST_UID_DOMAIN and NEGOTIATOR_INTERVAL from personal config (GT2066)
-  Cleared default for CREATE_CORE_FILES in param table (GT2065)
-  Don't create a spool directory for every job, regression (GT2069)
-  Fixed out-of-order processing of cluster and job from log (BZ692741)
-  Added bin/classad_version to condor-classads-devel
-  Fixed building of classads to enable library loading (BZ697637)
-  Dynamic slots now removed when entering Owner state (BZ691969)
- Merge V7_6-aviary-branch at 09834e3a
-  Fixed lookup of chained attributes
-  Fixed out-of-order processing of cluster and job from log (BZ692741)
- Merge V7_6-build-branch at d618f788
-  Filtered in V7_6-branch, resolved conflicts
- Added explicit version dependency condor* -> condor-classads (BZ698238)
- Removed BuildRequires on wso2-rampart-devel

* Wed Apr 13 2011 <matt@redhat> - 7.6.1-0.1
- NOTE: If you have classads-debuginfo installed, remove it before
-       installing condor-debuginfo
- Pre-release of 7.6.1, Wed Apr 13 10:57:39 2011 -0500 (d17d91b2)
-  Fix for classad function calls in condor_q -analyze (GT2059)
-  Updated CondorJavaInfo to replace \n with ' ' (GT2025)
-  Fixed SetRawConfig to accept param names with . and _ (BZ695728)
-  Fixed SetPriority/Factor to accept names with @
-  Started installing classads headers and libraries
- Introduced condor-classads[-devel] sub-packages, obsolete classads (BZ695495)
-  libclassad version 1.0.2
- Merge V7_6-aviary-branch at 55b2689c
-  Added allowOverrides for overriding of required job attributes (BZ695889)
- Merge V7_6-build-branch at fa0544ad
-  Link against classads .so instead of .a

* Mon Apr 11 2011 <matt@redhat> - 7.6.0-0.7
- Pre-release of 7.6.0, Mon Apr 11 16:52:04 2011 -0500 (14f8eed9)
-  Allow priv switching on shadow to nobody when SHADOW_RUN_UNKNOWN_USER_JOB=TRUE (BZ675967) (GT2004)
- Depending on wso2 >= 2.1.0-0.7 for deployment layout (BZ693384)
- Merge V7_6-aviary-branch at c3f6aa8c
-  Now use axis2.xml as the repo config without a lib or services structure
-  Parameters in axis2.xml point to location of libs and services
-  Test scripts updated with new default WSDL file URI in /var/lib/condor
-  Use cmake configuration to generate proper lib location, /usr/lib{64}
-  WINDOWS OpSys requirements expand to WINNT51, WINNT52, WINNT60 (BZ694656)
-  Filter out cluster/header jobs from queries (BZ695552)
- Added sub-package deltacloud-gahp (BZ695497)

* Sat Apr 9 2011 <tstclair@redhat> - 7.6.0-0.6
- Pre-release of 7.6.0, Fri Apr 8 18:34:45 2011 -0500 (f8464ddb)
-  Fix buffer overflow in file locking code. (GT2038)
-  Improved file locking, and user log handling (GT1963)
-  Continued static analysis improvements (GT2037) 
-  Remove redefine of open as _open in new ClassAds for Windows.
- Merge V7_6-aviary-branch at 666d3103
-  Add missing generated files for SubmissionSummary
-  Submission queries can return job summaries
- Merge V7_6-build-branch at 5cd2c391
-  Updated external refs
- Merge UPSTREAM-7.7.0-BZ679553-ec2-gahp at 4febc207
-  Fixed ec2 keypair file permissions (BZ693448)
- Merge V7_6-BZ678025-publish-schedd-stats at b59230f7
-  Fixed logic err in push_back (BZ692870) 

* Tue Apr  5 2011 <matt@redhat> - 7.6.0-0.5
- Pre-release of 7.6.0, Tue Apr 5 11:38:48 2011 -0500 (72b6eca6)
-  Added protection around segfault in strncmp
-  Improved multi-log-file-reader's macro checks (GT2017)
-  Fixed handling of HoldReasonCode when spooling files (GT1985)
-  DELTACLOUD_GAHP added to param table
-  Segfault in JobServer around JOB_AD_ERROR fixed (BZ692485)
-  Updated 60condor-qmf.config to coexist with other configs adding plugins
-  Fixed parsing of strings with trailing backslashes in ClassAds (GT2025) (BZ692416)
-  Eliminated JAVA_MAXHEAP_ARGUMENT (GT2024)
-  Updated comment on how to disable PREEN (GT2016)
-  Added fstat(2) headers to deltacloud_gahp for building on Fedora 14
- Merge V7_6-aviary-branch at 5b021539
-  Changed submitJob to take a submission name arg
-  Added support for extra attributes in submitJob
-  Added py test scripts for job queries and submissions
-  Implemented getSubmissionSummary to return job status counts
-  Changed getJob* to also accept nil input which implies client wants ALL jobs resolved
-  Fixes to get aviary fetchJobData working end-to-end
-  Fixed mixup between job id and scheduler id in result of submit (BZ692885)
-  Added 61aviary.config to config.d/ in aviary package (BZ692861)
- Merged V7_6-build-branch at e8208b91
-  Removed PRE-RELEASE string (BZ692003)
-  Platform string now reports RedHat instead of Redhat (BZ692003)
- Only building EL6 vm-gahp package on x86_64 (BZ691858)
- Resolved Java detection issues on Windows (BZ692852)

* Wed Mar 30 2011 <matt@redhat> - 7.6.0-0.4
- Introduced aviary package to provide a simplified WS API to HTCondor (BZ674349)
- Pre-release of 7.6.0, Tue Mar 29 22:12:28 2011 -0500 (194c79e0) (cherry-pick)
-  Improved handling of spooled UserLog in sandbox for file transfer (GT1991)
-  Improved reporting of transfer queue state (GT1994)
-  STATE->STATUS attr fix in QMF JobServer
-  Fixed FD leak in vm-gahp (GT2001)
-  Fixes for Schedd writing to UserLog for remote jobs with unspooled files (GT1985)
-  Resolved mismatch for VM_GAHP_SEND_ALL_CLASSAD, default true, in param table
-  Updated libvirt awk script param check for JobVMNetworking (GT2002)
-  Cosmetic and usability cleanup to condor_q -bet (BZ692140)
- Merged UPSTREAM-7.7.0-BZ679553-ec2-gahp at 07166d84
-  Added ec2_elastic_ip option for EC2 jobs to use pre-allocated IPs (BZ621899)
-  Added EC2InstanceName attribute to job, populated when instance runs (GT1594)
- Merged UPSTREAM-7.7.0-BZ678025-publish-schedd-stats at 834f1230
-  Added new Schedd health statistics (BZ678025)
-  Included the new stats in the QMF Scheduler object
- Merged UPSTREAM-7.7.0-BZ674659-FCFS at 38c48225
-  Introduced {Pre,Post}JobPrio{1,2} attributes for job ordering (BZ674659)
- Merged UPSTREAM-7.7.0-BZ610251-multi-view-host at 9c026c18
-  Added support for multi-target CONDOR_VIEW_HOST (BZ610251) (GT1249)
- Merged V7_6-build-branch at 4ac69e99
- Merged V7_6-aviary-branch at 439296cd

* Thu Mar 24 2011 <tstclair@redhat> - 7.6.0-0.3
- Requiring specific qpid-qmf version: 0.10
- Pre-release of 7.6.0, Wed Mar 23 14:26:37 2011 (ddd1b581)
-  Fixed condor_q -run display hostname properly for scheduler & local jobs (GT1970) 
-  Fix ClassAd::sPrint() to append to the given string. Effects ec2e and low-lat (GT1974)
-  Fix startd crash when sending alives (GT1349)
-  Fixed a crash scenario in the condor_job_server
-  Safeguard deltacloud credentials (GT1940)
- Merged UPSTREAM-7.7.0-BZ679553-ec2-gahp at 2f585359
- Merged V7_6-build-branch at 7b5d83bb

* Mon Mar 14 2011 <matt@redhat> - 7.6.0-0.2
- qmf[-devel] renamed to qpid-qmf[-devel]
- Requiring specific qpid-qmf version: 0.9.1079953
-  Addressed authId="" and QMF universe partition
- Pre-release of 7.6.0, Mon Mar 14 15:23:37 2011 -0400 (577e9d40)
-  Fixed Schedd destructor crash (GT1915)
-  Fixed Startd crash when leaving PREEMPTING state (GT1950)
-  Avoiding stack traces from ReportState in Negotiator
-  Resolved AccountingGroup case-sensitivity issues (GT1952) (BZ675703)
-  Added -schedd-daemon-ad-file/address-file to condor_submit_dag (BZ)
-  VMu cdrom text files no longer supported, transfer ISO instead (BZ553696)
-  Shadow now EXCEPTs if it fails to write an event to the job log (GT1963)
-  Added NEGOTIATOR_UPDATE_AFTER_CYCLE, default to False (BZ673538)
-  mkisofs dependency removed (BZ682186)
-  VM_DISK now supports <format> (BZ671451)
- Updated QMF plugins for compat_classad semantic changes (BZ684460)
- Merged V7_6-build-branch at 206fa34d
- Merged UPSTREAM-7.7.0-BZ679553-ec2-gahp at 9e8626d5
-  amazon_gahp reborn as ec2_gahp (BZ679553)
- Merged V7_6-condor_config.generic-branch at 2b31e1df
- ec2_gahp requires expat

* Sat Mar  5 2011 <matt@redhat> - 7.6.0-0.1
- Pre-release of 7.6.0, Sat Mar 5 08:28:18 2011 -0500 (daec790f)
-  Fixed double initialization of MgmtScheddPlugin from 7.5.6-0.3

* Fri Mar  4 2011 <matt@redhat> - 7.5.6-0.3
- Pre-release of 7.5.6, Fri Mar 4 15:41:10 2011 -0600 (50886ca5)
- condor-vm-gahp now requires libvirt (BZ682190)
- Removed requires on semanage
- Removed sbin/condor_vm-gahp-vmware, not needed
- Removed sbin/condor_vm_vmware.pl (BZ680437)
- Fixed plugin loading broken by 7.5.6-0.2, condor-qmf was DOA
- Merged V7_6-build-branch at 848c6a73

* Wed Mar  2 2011 <matt@redhat> - 7.5.6-0.2
- Pre-release of 7.5.6, Wed Mar 2 20:05:25 2011 -0500 (59c034e5)
-  Added LastNegotiationCycle stats to Negotiator QMF object (BZ680215)
-  Added units, KiB, to MonitorSelfImageSize and ResidentSetSize
-  Added authentication params for QMF related components (BZ606391)
-  condor_bird_strike -> condor_gather_info
-  Added MonitorSelf attributes to Collector and Negotiator (BZ680953, BZ680954)
-  Enabled absent node detection in triggerd (BZ602766)
-  Fixed GetLimits after compat_classad conversion (BZ611828)
- Merged V7_6-condor_config.generic-branch at 1e9782ee
- Merged V7_6-build-branch at 12d76c5f
- Obsoleting condor-test entirely
- Removed use of semanage to install condor_startd policy (BZ681203)

* Fri Feb 25 2011 <matt@redhat> - 7.5.6-0.1
- Requiring specific qmf version: 0.9.1073306-1
- Pre-release of 7.5.6, Sat Feb 26 08:41:50 2011 -0500 (2cea7c23)
-  Rebase on 7.5.6, the 7.6 RC
-  BZs - 676411, 635175, 674669, 563337, 580530, 610258, 631782
-        647758, 647789, 668038, 669023, 674384, 675725, 620455
-  New cmake build infrastructure (was configure+imake)
-  quill is no longer present
-  condor_shared_port added
-  condor_power added
-  classads now built with source
-  kflops and mips benchmarks appeared libexec
-  filetransfer plugins (data|url)_plugin appeared in libexec
-  condor_transferer moved from sbin to libexec
-  condor_bird_strike appeared in bin
-  condor_vm-gahp-vmware appeared in sbin, vm-gahp w/o libvirt
- Merged V7_6-condor_config.generic-branch at a8dbea77
- Merged V7_6-build-branch at d13b842c
- Removed condor-test sub-package
- Compiling with hibernation
- Compiling without gSOAP
-  Lost amazon_gahp

* Fri Feb  4 2011 <matt@redhat> - 7.4.5-0.8
- Requiring specific qmf version: 0.7.946106-28 - .so bump

* Wed Jan 21 2011 <matt@redhat> - 7.4.5-0.7
- Requiring specific qmf version: 0.7.946106-27 - BZ658936
- Fixed crash when editing new job attributes with qedit (BZ668072)
- Fixed HFS group limit enforcement for multiple submitters in single group (BZ641418)
- Updated local lock file code to create files as 0666 for sharing
- Set HFS_MAX_ALLOCATION_ROUNDS default to 3
- Updated QMF package to f77bdd65:
-  Fixed submission job counts causing premature submission deletion in plugins (BZ595704)

* Tue Jan  4 2011 <matt@redhat> - 7.4.5-0.6
- Fixed Schedd crash during qedit of new attribute on job with UserLog (BZ667198)

* Mon Jan  3 2011 <matt@redhat> - 7.4.5-0.5
- Updated QMF package to d96a25fb:
-  Resolved SEGV on frequent JobServer resets (BZ634383)
- Schedd no longer accesses job spool files when file transfer is disabled (BZ546760)
- Fixed local lock file bug that deleted too much of path on release

* Thu Dec 23 2010 <matt@redhat> - 7.4.5-0.4
- Pre-release of 7.4.5, Thu Dec 23 14:10:14 2010 -0500 (f7ff6a59)
-  vm_gahp callouts now happen as executing user instead of root (GT1803)
-  condor_wait now opens log files as read-only (GT1745)
- condor_qedit and condor_prio changes now show up in the UserLog (BZ616470) (GT1791)
- Policy adjustment via qedit/chirp now possible for running jobs (BZ629832) (GT1790)
- File locking now always happens on a local file (BZ627015) (GT1310)

* Fri Dec 10 2010 <matt@redhat> - 7.4.5-0.3
- Update QMF package to 6f0856d4:
-  Resolved submission naming issue introduced in 7.4.5-0.1
-  Really resolved attribute and config name discrimination (BZ637914)
-  Submission objects now phase out when they are empty (BZ595704)
- Removed "already defined" filter on semanage during post-install (BZ660653)
- Improved handling of erroneous output from a prepare hook (BZ657358)

* Wed Dec  1 2010 <matt@redhat> - 7.4.5-0.2
- Refactored HFS (40c18307),
-  BZs - 619557, 606865, 630015, 630021, 636271, 636901, 637281,
-        639244, 640141, 640326, 641418, 641431, 644436, 644904

* Thu Nov 18 2010 <matt@redhat> - 7.4.5-0.1
- Updated source to build 279383, the upstream 7.4.4 release
- Pre-release of 7.4.5, Thu Nov 18 09:44:15 2010 -0500 (5a9dffac)
-  Fixed problem in condor_ssh_to_job when the user's shell is csh. (GT1565)
-  Fix vm_no_output_vm job attribute in vm gahp (GT1564)
-  Fixed handling of string literals in $$([])'s. (GT416)
-  Always have a deadline for asynchronous messages, CCB (GT1589)
-  Fixed collector crash in MERGE_STARTD_AD (GT1596)
-  Fixed core dump in condor_userlog reading unwritable user event log (BZ623684) (GT1597)
-  Submit no longer pads DiskUsage for expanding vm image (GT1624)
-  Improved error handling when file transfer fails (GT1587)
-  Parallel universe jobs now always get spool directories (BZ625205) (GT1532)
-  condor_ssh_to_job now works when security negotiation is turned off (GT1518)
-  Allow qedit of AccountingGroup to trigger a rebuild of PrioRec (BZ631926) (GT1648)
-  Resolved feof state issue in user log reader code, numerous anomalies (GT1679)
-  Restored handling of disconnect during file transfer from GT1587 (GT1750)
-  Fix for ssh_to_job during file transfer failure (GT1743)
-  Fix for condor_status output of KFlops later than 32-bit (GT1771)
-  Prevent condor_procd from running as child of init (GT1776)
-  Updated condor.init to return 1 when stop fails (BZ634144)
-  Misc. KBDD fixes for Windows
- Updated QMF package to 490ff70c:
-  Negotiator discriminates between valid attribute and config names (BZ637914)
-  Made Job identification more consistent (BZ630937)
-  Added default for JOB_SERVER_LOG to 60condor-qmf.conf (BZ624999)
- Introduced LOCAL_CONFIG_DIR_EXCLUDE_REGEXP (BZ581671) (GT1552)
- Allow condor_wait to open files for read authorized users (BZ647543) (GT1745)
- Allow NOT_RESPONDING_WANT_CORE=TRUE to escalate to SIGKILL (BZ596398) (GT1688)
- Introduced support for Parallel Universe and Partitionable Slots (580742) (GT986)
- Introduced expanded NegotiationCycle stats (BZ640141) (GT1705)
- Fixed condor_master crash when reconfiguring with non-existing daemons (BZ621137) (GT1749)

* Thu Nov  4 2010 <matt@redhat> - 7.4.4-0.17
- Requiring specific qmf version: 0.7.946106-22 - BZ649822
- Updated QMF package to d71c9760:
-  Reduced scope of QUEUE_ALL_USERS_TRUSTED requirement (BZ644041)

* Mon Sep 27 2010 <matt@redhat> - 7.4.4-0.16
- Requiring specific qmf version: 0.7.946106-17
- Updated QMF package to 2b8c8b0d:
-  Fixed bug where Negotiator would reject valid config updates, re Quota adjustment (BZ636959)

* Wed Sep 22 2010 <matt@redhat> - 7.4.4-0.15
- Requiring specific qmf version: 0.7.946106-16
- Added KVM language to condor_config.generic

* Wed Sep 15 2010 <matt@redhat> - 7.4.4-0.14
- Requiring specific qmf version: 0.7.946106-15 - BZ633861
- Updated QMF package to 9e720e47 -
-  Provided a stable agent id for Startd (BZ634234)
-  Garbage collect dynamic slot QMF objects (634605)

* Tue Sep 14 2010 <matt@redhat> - 7.4.4-0.13
- Requiring specific qmf version: 0.7.946106-14
- Updated QMF package to a81362f6 -
-  Added missing GlobalJobId to GetJobSummaries for historical jobs (BZ633508)
-  Avoided race in JobServer where historical submission objects were deleted (BZ633402)

* Fri Sep 10 2010 <matt@redhat> - 7.4.4-0.12
- Update QMF package to 96ee3b3d: BZs - 633114, 629736 (Owner = "Unknown"); GetJobSummaries -> list of maps
- qedit of AccountingGroup now causes PrioRec rebuild (BZ631926)
- Avoid HFS issues with unmatchable jobs (BZ629614)
- Allow space as separator for GROUP_NAMES in HFS (BZ632473)
- Allow AccountingGroup to be case insensitive in HFS (BZ632476)

* Thu Sep  9 2010 <matt@redhat> - 7.4.4-0.11
- Requiring specific qmf version: 0.7.946106-13 - BZ625450
- Updated QMF package to c1976b74: BZs - 568327, 627679, 612222; GetLimits map loading bug
- Introduced 60condor-qmf.config in condor-qmf package
- Further avoid shadow creating a spool directory per job (BZ625205)
- Fixed negotiator core when a dynamic group quota is zero (BZ628034)
- Enabled GROUP_DYNAMIC_MACH_CONSTRAINT when using HFS (BZ628086)
- Changed QMF_PUBLISH_SUBMISSIONS (a Schedd param) default to TRUE

* Mon Aug 23 2010 <matt@redhat> - 7.4.4-0.10
- Update QMF package to d70c4beb: BZs - 595714
- Requiring specific qmf version: 0.7.946106-12
- Included KBDD_ADDRESS_FILE in condor_config.generic (BZ621203)
- Fixed condor_userlog core when reading files without write perms (BZ623684)
- 00personal_condor.config should not be edited, no longer marked config (BZ625775)

* Mon Aug  9 2010 <matt@redhat> - 7.4.4-0.9
- Removed default LOCAL_CONFIG_FILE, use LOCAL_CONFIG_DIR (BZ622464)
- Fixed fairshare loop halting conditions and fractional slot reuse (BZ619552)
- Fixed parsing of group names in accountant (BZ617709)
- Included condor_power for condor_rooster

* Mon Aug  4 2010 <matt@redhat> - 7.4.4-0.8
- Pre-release of 7.4.4, Tue Aug 3 11:28:16 2010 -0400 (e8a01098)
- Update QMF package to 9db0f393: BZs - 621465
- Requiring specific qmf version: 0.7.946106-11
- Moved config customizations from condor_config.local to condor_config
- /etc/condor/condor_config is now replaced, edit ~condor/condor_config.local
- Removed backfill machine state, use job hooks instead (GT1085)
- NEGOTIATOR_USE_SLOT_WEIGHTS set to FALSE in condor_config (BZ615534)
- Added year to log format (GT1030)
- Enable -debug after calling config() for condor_config_val (GT1541)
- Address EOVERFLOW for 32 bit systems with large EXECUTE partitions (GT1543)
- Fixed STARTD_CRON's parsing of _PERIOD, default is seconds (GT961)
- Fixed check for bad Schedd cron job arguments (GT1485)
- Escalated internal state inconsistency for cron jobs to EXCEPT (GT689)
- NETWORK_INTERFACE now trumps IP rewriting (GT457)

* Mon Jul 26 2010 <matt@redhat> - 7.4.4-0.7
- Requiring specific qmf version: 0.7.946106-10
- Moved condor_ssh_to_job_sshd_config_template to ETC

* Fri Jul 23 2010 <matt@redhat> - 7.4.4-0.6
- Pre-release of 7.4.4, Fri Jul 23 09:21:31 2010 -0400 (a92261e6)
- Requiring specific qmf version: 0.7.946106-9
- Update QMF package to 9d41995d: BZs - 614987
- Avoid performing multiple input file transfers (GT1519)
- In submit, only check CREDD_HOST when run_as_owner = TRUE (GT1525)
- Allow setting load_profile from any platform at submit (GT1528)

* Tue Jul 20 2010 <matt@redhat> - 7.4.4-0.5
- Pre-release of 7.4.4, Mon Jul 19 16:47:43 2010 -0400 (0457e3bf)
- Updated QMF package to 25d3bef8: BZs - 612640, 606973, 613815, 612623, 612636
- Changed default for MAX_ACCEPTS_PER_CYCLE from 1 to 4
- Updated shadow recycling to conflict with SEC_ENABLE_MATCH_PASSWORD_AUTHENTICATION (GT1481)
- condor_chirp get_job_attr no longer prints uninit memory (BZ615633)
- condor_chirp get_job_attr returns UNDEFINED instead of abort() (BZ615313)
- condor_chirp no longer requires getenv("_CONDOR_SCRATCH_DIR") (BZ615504)
- UPDATE_JOB_INFO and JOB_EXIT hooks now run as job owner (BZ615492)
- Job hooks environment now includes envs for SCRATCH_DIR, JOB_PIDS, etc (BZ615510)
- condor_submit properly adds default requirements for Memory and RequestMemory (BZ614993)
- Removed Env="" from default job ad from CreateJobTemplate (BZ610010)
- PREPARE hook invocation failure now properly reported (GT1398)
- Fixed permissions on SSH private key file from EC2 (GT1508)

* Wed Jun 30 2010 <matt@redhat> - 7.4.4-0.4
- Pre-release of 7.4.4, Mon Jun 28 20:33:46 2010 -0500 (5ecc2976)
- Requiring specific qmf version: 0.7.946106-6
- Updated QMF package to 1c1af7e9: triggerd uses SASL ANONYMOUS mechanism

* Mon Jun 28 2010 <matt@redhat> - 7.4.4-0.3
- Included mpp.X.Y files patch (BZ546736)
- Included rest of max cluster id patch (BZ575150)

* Fri Jun 25 2010 <matt@redhat> - 7.4.4-0.2
- Fixed python-qmf dep (was qmf-python)

* Thu Jun 24 2010 <matt@redhat> - 7.4.4-0.1
- Pre-release of 7.4.4, Thu Jun 24 11:49:30 2010 -0500 (e8e32edd)
- Updated QMF package to 12e3db44: BZs - 596210; schema package update
- Added python-qmf dep on condor-qmf for new condor_trigger_config (BZ606356)
- Fixed schedd SEGV on dynamic slot invalidation (BZ607596)

* Fri Jun 18 2010 <matt@redhat> - 7.4.3-0.21
- Pre-release of 7.4.3, Fri Jun 18 11:24:04 2010 -0400 (f4356159)
- Updated QMF package to 29c3f20c: BZs - 589660
- Requiring specific qmf version: >= 0.7.946106-4
- Allow HTCondor tools to act on condor_kbdd (BZ604812)
- Removed SOAP transaction timeout crash from condor_schedd (BZ605311)
- Removed use of getc for fgets in condor_dagman (GT1460)
- Fixed condor_shadow crash when recycling through >239 jobs (BZ604986)
- Provide Parallel Universe jobs with a spool dir (BZ549432)
- Included fix for SOAP_SSL_DA_DIR/FILE in the amazon_gahp (GT1465)
- Included negotiation cycle stats (GT1458)

* Wed Jun 16 2010  <matt@redhat> - 7.4.3-0.20
- Pre-relesae of 7.4.3, Tue Jun 8 13:20:19 2010 -0500 (acf99cca)
- Updated QMF package to 14ff6c71: BZs - 604179
- Requiring specific qmf version: > 0.7.946106-3

* Fri Jun 11 2010  <matt@redhat> - 7.4.3-0.19
- Pre-release of 7.4.3, Fri Jun 11 17:36:22 2010 -0400 (97e52a14)
- Updated QMF package to 91b107bd: BZs - 603033, 602637, 563818
- Fixed bug preventing job hooks from executing during a job (BZ602605)
- Fixed Startd crash due to signal escalation race with kill_sig (BZ572271)
- Collector now advertise itself (BZ568502)
- Introduction of 2+ level fair-share accounting groups (BZ528800)
- Prepare hook exec failure now prevents job exec (BZ561958)
- condrestart added to init script (BZ603201)
- Set default CONDOR_ADMIN to root@$(FULL_HOSTNAME) in condor_config.local
- Resolved issues of concurrency limits in parallel universe (BZ505923)

* Thu Jun  3 2010 <matt@redhat> - 7.4.3-0.18
- Pre-release of 7.4.3, Thu Jun 3 13:51:04 2010 -0500 (4e122f4c)
- Updated QMF package to ab73a71d: BZs - 561110, 561112, 578137, 595698

* Tue Jun  1 2010 <matt@redhat> - 7.4.3-0.17
- Requiring specific qmf version: > 0.7.946106-2 (BZ596210)

* Thu May 27 2010 <matt@redhat> - 7.4.3-0.16
- Updated QMF package to 22c641b4: BZs - 596210

* Tue May 25 2010 <matt@redhat> - 7.4.3-0.15
- Pre-release of 7.4.3, Mon May 24 16:40:26 2010 -0500 (0cd14df5)
- Introduced hard dependency on classads package, currently 1.0.6 (BZ571804)
- Update QMF package to 1b2a81bc: BZs - 595010, 595447
- Removed linking against libcrypt (improves shadow memory usage) (BZ595033)

* Wed May 19 2010 <matt@redhat> - 7.4.3-0.14
- Pre-release of 7.4.3, Wed May 19 13:53:09 2010 -0500 (5dd95bcc)
- Requiring specific qmf version: 0.7.946106
- Updated QMF package: BZs - 568327, 568857, 578143, 584402, 589650, 589675
- Bridge networking fix for VM Universe (BZ583101)
- Set one hour default for SHADOW_WORKLIFE

* Wed May  5 2010 <matt@redhat> - 7.4.3-0.13
- Rebuild of 7.4.3-0.12 with fix for SHADOW_WORKLIFE (schedd segv on sched uni)

* Tue May  4 2010 <matt@redhat> - 7.4.3-0.12
- Pre-release of 7.4.3, Wed Apr 28 10:48:23 2010 -0500 (d73d744a)
- Requiring specific qmf version: 0.7.939184
- Introduced logging for HA lock failure (BZ580270)
- Introduced SHADOW_WORKLIFE (GT1375)
- Updated QMF package to 8943128b

* Wed Apr 21 2010  <matt@redhat> - 7.4.3-0.11
- Updated source to build 227044, the upstream 7.4.2 release
- Pre-release of 7.4.3, Fri Apr 16 15:16:38 2010 -0500 (6d962ce6)
- Requiring specific qmf version: 0.7.935473
- Fixed PREPARE hook uid (BZ561955)
- Fixed memory leak in O(1) removal on INVALIDATE_STARTD (GT1316)
- Added MAX_ACCEPTS_PER_CYCLE (GT1348)
- Removed unused quill binaries
- Re-added qmf package

* Wed Apr  7 2010  <matt@redhat> - 7.4.3-0.10
- Pre-release of 7.4.3, Tue Apr 6 13:38:38 2010 -0500 (6b163279)
- Grid tag 7.4.3-0.10 (63a437d7)
- Updated Collector invalidate patch to address StartdIpAddr issue
- Fixed no-phone-home code to avoid segfault (BZ578837)
- Started publishing RSS in job ads (BZ575653)
- Removed qmf package until it is updated for 0.7.929717

* Tue Mar 30 2010  <matt@redhat> - 7.4.3-0.9
- Pre-release of 7.4.3, Wed Mar 31 14:04:28 2010 -0400 (44088c77)
- Grid tag 7.4.3-0.9 (8d4461ba)
- Resolved inappropriate dynamic slot claim reuse (BZ578216)
- Resolved dyanamic Slot INVALIDATE_STARTD_ADS causes collector pegging (BZ578600)

* Sun Mar 28 2010  <matt@redhat> - 7.4.3-0.8
- Pre-release of 7.4.3, Fri Mar 26 17:52:27 2010 -0500 (4a5bce55)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, GT1287-GT1288-schedd-perf, BZ544313-vanilla-universe-killsig, no-phone-home, QMF, housekeeping-on-invalidate, BZ575150-need-max-cluster-id, BZ572574-misleading-create-process-iwd-err-msg, BZ575147-change-daemons-without-restart, ignore-invalidate
- Added SCHEDD_CLUSTER_MAXIMUM_VALUE, default 0 (no max) (BZ575150)
- Fixed misleading error on execution with cwd failure (BZ572574)
- Allow reconfig of DAEMON_LIST (BZ575147)
- Added IGNORE_INVALIDATE, default to false

* Tue Mar 23 2010  <matt@redhat> - 7.4.3-0.7
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, GT1287-GT1288-schedd-perf, BZ544313-vanilla-universe-killsig, no-phone-home, QMF, housekeeping-on-invalidate
- Added HOUSEKEEPING_ON_INVALIDATE, defaults to true

* Mon Mar 22 2010  <matt@redhat> - 7.4.3-0.6
- Pre-release of 7.4.3, Mon Mar 22 09:54:26 2010 -0400 (c7687ad1)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, GT1287-GT1288-schedd-perf, BZ544313-vanilla-universe-killsig, no-phone-home, QMF
- Avoid StartJobs call multiple times in single event loop (GT1288)
- Control StartJobs with a timeslice (GT1288)
- Optimized handling of shadow failures (reduce fsyncs) (GT1287)
- Retry execution with .exe extension on initial failure (GT1278)
- "net stop condor" now performs fast (was graceful) shutdown (GT1264)
- Schedd no longer starts Schedule Universe jobs during shutdown (BZ575777)
- Fixed default for kill_sig_timeout (was 0, now KILLING_TIMEOUT)
- Removed CONDOR_DEVELOPERS phone home code (V7_4-no-phone-home-branch)
- Fixed improper RELEASE_CLAIM after REQUEST_CLAIM rejection (BZ575784)
- condor_status -direct no longer produces misleading message on stale ads (BZ570650)

* Mon Mar 15 2010  <matt@redhat> - 7.4.3-0.5
- Pre-release of 7.4.3, Mon Mar 15 13:09:34 2010 -0500 (3a10d78e)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, BZ544313-vanilla-universe-killsig, QMF
- QMF branch: decrement status on destroy and set owner on submission
- Fixed crash in remove_kill_sig for Vanilla Universe (BZ572271)
- Properly close UDP messages in DaemonCore::HandleReq (GT1270) (BZ572668)

* Wed Mar  3 2010  <matt@redhat> - 7.4.3-0.4
- Pre-release of 7.4.3, Wed Mar 3 17:19:16 2010 -0600 (b1482a2e)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, BZ544313-vanilla-universe-killsig, QMF
- Requiring specific qmf version: 0.7.916826
- fsync-perf branch updated fixing EventLog bug from GT1231
- QMF branch updated fixing Submission presence and job count bugs
- QMF branch updated to include live and historical jobs in Submissions
- GetJobs moved to Submission (BZ561106)
- QMF management methods work on Windows (BZ467890)
- KBDD was ignored when CONSOLE_DEVICES contained a real device (GT1251)
- Allow for kill_sig in Vanilla Universe (BZ544313)
- Include OpenMPI example wrapper script (BZ537232)

* Fri Feb 19 2010  <matt@redhat> - 7.4.3-0.3
- Pre-release of 7.4.3, Thu Feb 18 15:20:09 2010 -0600 (caf83e4d)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-BZ546770-GT1231-fsync-perf, QMF
- Merged BZ565618-submit-fsync-userlog into BZ565618-BZ546770-GT1231-fsync-perf
- condor_schedd no longer fsync()s for each removed job (BZ546770)
- condor_schedd no longer fsync()s for each job update (GT1231)

* Mon Feb 15 2010  <matt@redhat> - 7.4.3-0.2
- Pre-release of 7.4.3, Fri Feb 12 13:53:39 2010 -0600 (fd245485)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, BZ565618-submit-fsync-userlog, QMF
- Requiring specific qmf version: 0.7.909548
- condor_submit no longer fsync()s the UserLog for each job (BZ565618)

* Wed Feb 10 2010  <matt@redhat> - 7.4.3-0.1
- Pre-release of 7.4.3, Wed Feb 10 08:32:41 2010 -0600 (8d7371aa)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, QMF
- Requiring specific qmf version: 0.7.908272
- LOCAL_CONFIG_DIR is now traversed when in LOCAL_CONFIG_FILE (BZ563341)

* Mon Feb  8 2010  <matt@redhat> - 7.4.2-0.8
- Pre-release of 7.4.2, Sat Feb 6 10:35:19 2010 -0600 (7e706835)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, GT1169-sec-session-lease, QMF
- QMF_DELETE_ON_SHUTDOWN defaults to true in triggerd
- Included backport of GT1169, security session leases

* Thu Feb  4 2010  <matt@redhat> - 7.4.2-0.7
- Pre-release of 7.4.2, Thu Feb 4 09:36:47 2010 -0800 (a5a23a3b)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, no-open-poison, O2, QMF
- Requiring specific qmf version: 0.7.904602
- param-table-heap change now upstream
- condor_job_server now includes historical jobs

* Thu Jan 28 2010  <matt@redhat> - 7.4.2-0.6
- Pre-release of 7.4.2, Tue Jan 26 23:02:55 2010 -0500 (58ec66ab)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, param-table-heap, no-open-poison, O2, QMF
- Fixed VMGahp hang when restarting libvirtd (BZ530594)
- Fixed inconsistent handling of VM_MEMORY between Startd and VMGahp (BZ559071)
- Added LOCAL_CONFIG_DIR to the LOCAL_CONFIG_FILE for configuration tools (BZ557732)
- Removed explicit dependency on qpidc, only depending on QMF

* Thu Jan 21 2010  <matt@redhat> - 7.4.2-0.5
- Requiring specific qpidc version: 0.7.900940
- Removed patch for old qmfagent library
- Replaced some BuildRequires packages with files

* Mon Jan 18 2010  <matt@redhat> - 7.4.2-0.4
- Pre-release of 7.4.2, Thu Jan 14 18:16:52 2010 -0500 (9b03e064)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, weak-gsoap, param-table-heap, no-open-poison, O2, QMF
- Reintroduced triggerd (trigger-service), part of QMF branch
- Introduced condor-qmf package, obsoletes qmf-plugins, hold all QMF deps
- Removed sesame dependence, should just be part of groupinstall
- Resolved cron-like jobs not re-executing with dynamic provisioning (BZ505119)
- Actually compiling with -O2, previously just didn't filter it (O2) (BZ547397)

* Thu Jan 14 2010  <matt@redhat> - 7.4.2-0.3
- Pre-release of 7.4.2, Thu Jan 14 10:48:28 2010 -0500 (af1a68a)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, QMF, weak-gsoap, param-table-heap, no-open-poison
- Updated BZ519183-HFS fix to support VS9 compiler
- Updated QMF model to make Slot::State a property
- Changed Name of Dynamic Slots from slotX.Y to slotX_Y (BZ483666)

* Thu Jan  7 2010  <matt@redhat> - 7.4.2-0.2
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, QMF, weak-gsoap, param-table-heap, no-open-poison
- Reduced linking of gSOAP and ClassAds (weak-gsoap) (BZ471054)
- Updated a number of statistics to properties in QMF model (BZ493084)
- Addressing shadow bloat from param table (param-table-heap) (BZ527233)

* Mon Jan  4 2010  <matt@redhat> - 7.4.2-0.1
- Pre-release of 7.4.2, Wed Jan 6 14:19:47 2010 -0500 (c35f51e5)
- IntegrationBranch: configure.ac-defaults, condor_config.generic, strip-tests, BZ519183-HFS, QMF, QMF-job_server
- RESERVED_SWAP default was not 0 (BZ548090)
- Compiling with -O2 again (BZ547397)
- Schedd unnecessary file operations: mpp.X.Y files (BZ546736)
- TIMEOUT_MULTIPLIER only available in <SUBSYS>_ form (BZ548137)
- WANT_SUSPEND evaluating to UNDEFINED -> Startd EXCEPT (BZ540545)
- QMF_DELETE_ON_SHUTDOWN=TRUE is default again (BZ534073)
- condor_master wrote to pidfile before checking InstanceLock (BZ549389)
- condor_restart -collector failed for remote Collector (BZ543021)
- VM Universe libvirt config script updates (BZ543560)
- ClassAd debug() didn't work with ifThenElse (BZ552407)
- configure.ac now checks for flex and X11/Xlib.h (BZ527617)
- Added only_dynamic_unstripped patch to reduce RPM build time

* Fri Dec 11 2009  <matt@redhat> - 7.4.1-0.7.1
- Fixed queue super user cannot drop privs (BZ544371)

* Thu Nov 20 2009  <matt@redhat> - 7.4.1-0.7
- Pre-release of 7.4.1, Thu Nov 19 16:00:09 2009 -0500
- Fixed crash in schedd when spooling files (BZ538462)
- Removed NOTICE.txt, upstream carries it now
- Set exec bit on create_large_dag for condor-test

* Mon Nov  9 2009  <matt@redhat> - 7.4.1-0.5
- Pre-release of 7.4.1, Mon Nov 9 14:30:10 2009 -0500
- Fixed startd VM cleanup functionality (BZ498497 reopened)
- Removed root file ownership check on VM_SCRIPT
- Defaulted JOB_ROUTER_NAME to "jobrouter", was ""

* Thu Nov  5 2009  <matt@redhat> - 7.4.1-0.4
- Pre-release of 7.4.1, Thu Nov 5 06:01:57 2009 -0800
- Included full patch for VirtualMemory calculation bug

* Tue Nov  3 2009  <matt@redhat> - 7.4.1-0.3
- Pre-release of 7.4.1, Wed Nov 4 10:30:26 2009 -0800
- Updated source to build 193173, the upstream 7.4.0 release
- Fixed ALLOW_CONFIG = * (BZ532829)
- Fixed segfault in startd on shutdown with dynamic slots (BZ531841)
- Adjusted VirtualMemory calculation on dynamic slots (BZ532832)
- Resource limiting script no longer uses ulimit -v with VirtualMemory (BZ533023)
- QMF_DELETE_ON_SHUTDOWN defaulted to FALSE

* Sun Oct 25 2009  <matt@redhat> - 7.4.1-0.2
- Pre-release of 7.4.1, Fri Oct 23 17:30:08 2009 -0400
- Fixed condor_status -java/-vm information (BZ528652)
- Fixed condor_vm-gahp crash running Xen jobs (BZ529848)
- Fixed KVM job submissions failing to run (BZ529849)
- Picked up Windows file locking bug fix
- Fixed version string formatting issue

* Sun Oct 18 2009  <matt@redhat> - 7.4.1-0.1
- Pre-release of 7.4.1, Sat Oct 17 13:00:13 2009 -0400
- 7.4.0-0.7 condor_shadow was DOA
- Picked up kbdd support on Windows Vista
- Fixed fetch hook blocking Windows Startd (BZ497895)

* Thu Oct 15 2009  <matt@redhat> - 7.4.0-0.7
- Pre-release of 7.4.0, Wed Oct 14 22:30:09 2009 -0400
- starter not honoring lease duration during shutdown (BZ528067)

* Thu Oct 8 2009  <matt@redhat> - 7.4.0-0.6
- Pre-release of 7.4.0, Thu Oct 8 19:30:12 2009 -0400
- Upgraded to classads-1.0.4 to get bug fixes and eval() for -better-analyze
- Introduced vm-gahp package to enable VM Universe and hold virt dependencies
- LIBVIRT_XML_SCRIPT now has a default in condor_config
- Shadow bloat addressed (BZ527233)
- Startd SEGV when deleting dynamic slots (BZ526847)
- VM config status change not immediately published (BZ525470)
- Starter complains of deprecated config: EXECUTE_LOGIN_IS_DEDICATED (BZ523245)
- Missing newline at end of condor_status -negotiator (BZ523242)
- DAGMan/DAG submission version compatibility improvements (BZ522292)
- condor_q -better-analyze core dump (BZ522153)
- SEGV: Race condition when forking worker in Collector or Schedd (BZ519437)
- condor_submit -dump SEGV with multiple jobs in cluster (BZ457495)
- 2GB filesize limit for log files (BZ527801)
- Added configuration parameters for proxy_userid and proxy_passwd (BZ478475)
- Shadow no longer creates spool for jobs with no file transfer (BZ528050)

* Wed Sep 16 2009  <matt@redhat> - 7.4.0-0.5
- Pre-release of 7.4.0, Fri Sep 18 13:30:18 2009 -0400
- Introduced direct libvirt usage, requires libvirt-devel (sans virsh)
- Schedd now attempts to release all claims it has requested (BZ523482)
- Schedd no longer creates spool for jobs with no file transfer (BZ523806)
- Implemented scaling dynamic group quotas for HFS (BZ519183)

* Thu Sep 10 2009  <matt@redhat> - 7.4.0-0.4
- Pre-release of 7.4.0, Fri Sep 11 10:00:13 2009 -0400
- Removed Windows QMF plugin-in support
- Reverted QMF model (Submissions, Jobs, etc) back to 7.3.1-0.4
- Removed condor_job_server
- Removed QMF based trigger event service (was BZ499864)

* Mon Aug 31 2009  <matt@redhat> - 7.4.0-0.3
- Pre-release of 7.4.0, Fri Aug 28 09:46:03 2009 -0700
- Fix for condor_config issue in 7.4.0-0.1 (BZ520447)
- Fix for collector self advertise in HA setup

* Thu Aug 27 2009  <matt@redhat> - 7.4.0-0.1
- Pre-release of 7.4.0, Thu Aug 27 16:01:13 2009 -0700
- Race condition causing collector or schedd crash (BZ519437)
- Collector must advertise itself (BZ518301)
- condor_restart should handle collector subsystem (BZ518292)
- Generic subsystem handling for restart/reconfig (BZ506544)
- Job Router hook keyword apply to ATTRS_TO_COPY (BZ502880)
- cron_day_of_week ignored (BZ514730)
- Introduction of generic libvirt XML config generator (BZ511130)
- Recheck for VM universe after startup (BZ505074)
- QMF based trigger event service (BZ499864)

* Thu Jul 16 2009  <matt@redhat> - 7.3.2-0.4
- Pre-release of 7.3.2, Thu Jul 16 16:04:05 2009 -0500
- Proper msconfig merge (7.3.2-0.3 was broken)
- Fixed plugin load bug in 7.3.2-0.3
- Introduced VM cleanup code on Startd restart (BZ498497)
- Moved condor service to S98 from S90 (BZ497881)

* Mon Jul  13 2009  <matt@redhat> - 7.3.2-0.3
- Pre-release of 7.3.2, Sun Jul 12 16:45:22 2009 -0500
- Introduced ScheddPlugin::archive to receive Job ads on queue exit
- Introduced condor_job_server, mirroring the queue into QMF
- Introduced resource restriction via user job wrapper (BZ511120)
- Plugin code modified to operate on Windows

* Mon Jun  8 2009  <matt@redhat> - 7.3.2-0.2
- Pre-release of 7.3.2, Thu Jun 4 10:15:25 2009 -0500
- Moved Job methods to Scheduler in QMF model
- Added reasonable defaults to configure.ac

* Wed Jun  3 2009  <matt@redhat> - 7.3.2-0.1
- Rebased on build 154007, the upstream 7.3.1 release
- Pre-release of 7.3.2, Tue Jun 2 17:15:18 2009 -0500
- Replaced Jobs with Submissions in QMF model
- Fixed shutdown race in master with HA daemons (BZ499826)
- Introduced trigger-service
- Introduced resource-restriction
- Removed no_rpmdb_query.patch, upstream

* Fri May  1 2009  <matt@redhat> - 7.3.1-0.4
- Pre-release of 7.3.1, Fri May 1 11:15:22 2009 -0500
- Fixed partitionable slot and fetch work SEGV (BZ498516)
- Fixed VM_MEMORY unit mismatch (was KiB is MiB) (BZ495588)
- Addressed stale .schedd_address/classad issue (BZ486487) 
- Fixed EventLog.lock FD leak on NFS (BZ496432)
- Fixed JobUniverse publishing via QMF (it wasn't now is)
- Introduced Submit method on the Scheduler (QMF)
- Introduced Negotiator methods (QMF):
-  GetStats: query user/group stats
-  SetUsage/PriorityFactor/Priority: manage user/group stats
-  Get/SetRawConfig: manage configuration, e.g. QUOTAs

* Wed Apr 15 2009  <matt@redhat> - 7.3.1-0.3
- Pre-release of 7.3.1, Thu Apr 9 12:15:12 2009 -0500
- Merged Grid objects from QMF-Plugins
- Addresses multiple hook keywords for Job Router (BZ463430)

* Thu Apr  9 2009  <matt@redhat> - 7.3.1-0.2
- Rebased on build 132922, the upstream 7.3.0 release
- Pre-release of 7.3.1, Thu Apr 9 12:15:12 2009 -0500
- Removed patches present in 7.3 series:
-  classad_debug.patch
-  java_maxheap_argument.patch
-  starter_uid_fix.patch
-  vm_macaddr.patch

* Wed Mar 25 2009  <matt@redhat> - 7.2.2-0.9
- Fixed vm_macaddr bug, vm_macaddr.patch (BZ464647)

* Wed Mar 11 2009  <matt@redhat> - 7.2.2-0.8
- Requiring specific qpidc version: 0.5.752581

* Wed Mar  4 2009  <matt@redhat> - 7.2.2-0.7
- Requiring specific qpidc version: 0.4.750054

* Fri Feb 27 2009  <matt@redhat> - 7.2.2-0.6
- Require classads 1.0.2 to get ifThenElse for expresions
- Fixed JAVA_MAXHEAP_ARGUMENT misconfiguration (BZ487684)
- Fixed hook execution priv when run as root (BZ487519)

* Mon Feb 23 2009  <matt@redhat> - 7.2.2-0.5
- Updated to build 133382, the upstream 7.2.1 release
- Removed Requires in favor of automatic dependencies on SONAMEs
- Added classad_debug.patch, which provides classads debug()

* Mon Feb 16 2009  <matt@redhat> - 7.2.2-0.4
- Requiring specific qpidc version: 0.4.744917

* Sat Feb 14 2009  <matt@redhat> - 7.2.2-0.3
- Updated install script to properly place old pid files (BZ485008)
- Masked duplicate context message from semanage (BZ484449)

* Fri Feb 13 2009  <matt@redhat> - 7.2.2-0.2
- Requiring specific qpidc version: 0.4.743861

* Thu Feb  5 2009  <matt@redhat> - 7.2.2-0.1
- Requiring specific qpidc version: 0.4.741135
- Pre-release of 7.2.2: Thu Feb 5 11:32:15 2009 -0600
- Policy expressions now evaluated by Job Router (BZ480841)
- Slot type configuration now allows lowercase (BZ472607)

* Wed Jan 28 2009  <matt@redhat> - 7.2.1-0.3
- Pre-release of 7.2.1, Thu Jan 29 11:00:22 2009 -0600
- Fixed packaging of /var/{lock,log}/condor
- Fixed memory leak in soap connection code (BZ482954)
- JobRouter status hook updates now make it to the Schedd (BZ476996)
- JobRouter finalize/exit hook updates now make it to the Schedd (BZ476984)
- Addressed Periodic expression race in JobRouter (BZ475865)

* Wed Jan 28 2009  <matt@redhat> - 7.2.1-0.1
- Requiring specific qpidc version: 0.4.738274
- Pre-release of 7.2.1, Wed Jan 28 09:30:27 2009 -0600
- Upgraded gsoap to 2.7.12
- Init script no longer sleeps for 5 seconds (BZ480990)
- Init script writes pidfile to /var/run/condor (BZ471906)
- Moved LOG, LOCK, and PROCD_ADDRESS to standard locations (BZ476892)
- Fixed missing SLOT_TYPE_N crash (BZ472599)

* Wed Jan  7 2009  <matt@redhat> - 7.2.0-3
- Requiring specific qpidc version: 0.4.732838
- (Re)added CONDOR_DEVELOPERS=NONE to the default condor_config.local

* Tue Jan  6 2009  <matt@redhat> - 7.2.0-2
-  Fixed RequestMemory = ImageSize unit error (BZ477204)

* Fri Dec 19 2008  <matt@redhat> - 7.2.0-1
- Updated to build 121001, the upstream 7.2.0 release
- Requiring specific qpidc version: 0.4.728142
- Fixed dprintf + D_ALL + reconfig -full bug
- Fixed JobRouter status hook concurrency bug
- Added Schedd protection against invalid attribute values
- Added sanitizing of HoldReason values from Gridmanager
- Removed TP notice from condor and condor-qmf-plugins packages

* Tue Dec 16 2008  <matt@redhat> - 7.2.0-0.13
- Updated source to build 120173, new base for 7.2.0 release
- HoldReason loss on Periodic* bug fixed (BZ476087)
- Number of resource leaks fixed
- JobRouter hook update and fixes

* Thu Dec 11 2008  <matt@redhat> - 7.2.0-0.12
- Started requiring specific qpidc version (ABI): 0.4.725652-5
- Pre-release of 7.2.0, Thu Dec 11 17:45:39 2008 -0600
- Amazon and VM Universe test fixes
- User log reader/writer bug fixes, and largefile support
- Starter gLExec double free fixed

* Wed Dec 10 2008  <matt@redhat> - 7.2.0-0.11
- Included missing patch for MAIL configuration

* Tue Dec  9 2008  <matt@redhat> - 7.2.0-0.10
- Pre-release of 7.2.0, Tue Dec 9 17:45:07 2008 -0600
- Fixed src/condor_example/customize to not undo MAIL change
- Fixed security session cache and account priv-switching (BZ474725)
- Fixed amazon_gahp fails when user data file is empty (BZ475586)

* Sat Dec  6 2008  <matt@redhat> - 7.2.0-0.9
- Updated source to build 118312, base for 7.2.0 release candidate
- Fixed condor_transferer crash and accounting loss on failover (BZ475020)
- Default MAIL config fixed to /bin/mail (BZ474749)
- Added QMF_STOREFILE for resolving HA Schedd failover issue (BZ475235)
- Added editing notice to /etc/condor/condor_config (BZ474931)

* Wed Dec  3 2008  <matt@redhat> - 7.2.0-0.8
- Pre-release of 7.2.0, Fri Dec 5 12:01:24 2008 -0600
- Addressed init script restart issue (BZ474446)
- More condor-test subdirs permission fixes (splice-L-subdir2)
- Dynamic Provisioning with KeyboardIdle policy bug fixed (BZ474583)
- amazon-gahp was renamed to amazon_gahp
- Changed root owned to condor owned files in condor-test owned (BZ474862)

* Mon Dec  1 2008  <matt@redhat> - 7.2.0-0.7
- Pre-release of 7.2.0, Mon Dec 1 15:45:35 2008 -0600
- Fixed dependency on qpidc >= 720973

* Wed Nov 26 2008  <matt@redhat> - 7.2.0-0.6
- Pre-release of 7.2.0, Mon Dec 1 13:15:41 2008 -0600
- Fixed permissions on test subdirs in condor-test (thanks Rob Rati)
- Implemented QMF Plugin tuning parameter for updates (QMF_UPDATE_INTERVAL)
- Require qpidc & qmf >= 720973, resolves RHEL4 publish bug (BZ470320)
- Added sesame dependency to -qmf-plugins, provides system agent

* Sun Nov 23 2008  <matt@redhat> - 7.2.0-0.5
- Pre-release of 7.2.0, Mon Nov 24 19:15:42 2008 -0600
- Implemented shutdown hang workaround for qmf-plugins (QMF_DELETE_ON_SHUTDOWN)
- Applied Rob Rati's patch to condor-test to fix permissions
- Updated QMF Plugins so they are stripped for -debuginfo (thanks Mike Bonnet)
- Fixed disk calculation for Dynamic Provisioning (BZ472837)

* Fri Nov 21 2008  <matt@redhat> - 7.2.0-0.4
- Pre-release of 7.2.0, Fri Nov 21 17:15:33 2008 -0600
- Fixed memory bug in 7.2.0-0.3 qmf-plugins
- Fixed logging in qmf-plugins
- Moved x11_lib.patch upstream
- Updated default EC2 config (limit to 20 jobs)

* Wed Nov 19 2008  <matt@redhat> - 7.2.0-0.3
- Pre-release of 7.2.0, Fri Nov 21 07:45:41 2008 -0600
- Fixed two significant memory leaks in qmf-plugins
- Updated qpidc dependency for ABI issue and proper cleanup on agent shutdown
- Updated post-install to only setup SELinux context on RHEL5 (BZ472421)
- Updated post-install to only setup SELinux when SELinux is enabled (BZ472419)
- Fixed bug where master abandons -pidfile (BZ471902)
- Init script now issues fast shutdown (QUIT), not TERM (graceful) or KILL (BZ471901)
- Fixed problem of missing debuginfo info for some binaries

* Mon Nov 17 2008  <matt@redhat> - 7.2.0-0.2
- Pre-release of 7.2.0, Tue Nov 18 21:45:27 2008 -0600
- Added Obsoletes for condor-static
- Init script now on by default in runlevels 2345 (BZ471886)
- Disabled hibernation and lease manager code
- SELinux, condor_startd in unconfined_execmem_exec_t (BZ472084), thanks to Dan Walsh
- VM Gahp SendAliveToParent resolved (BZ471958)
- Included NOTICE.txt in doc

* Sat Nov 15 2008  <matt@redhat> - 7.2.0-0.1
- Pre-release of 7.2.0, Sat Nov 15 12:15:31 2008 -0600
- Updated to pre-relesae of 7.2.0 to avoid large renaming patch
- Changed default universe to vanilla (BZ471747)

* Fri Nov 14 2008  <matt@redhat> - 7.1.4-1
- Fast-forwarded to 7.1.4, Fri Nov 14 21:48:05 2008 -0600
- Updated /etc/condor/condor_config's LIB option to be arch aware
- Removed uninteresting WSDL files, except the master's
- Configured LIB is now 32/64 bit aware (BZ471604)
- Fixed stat/open for VM Universe on 32 bit systems (BZ471332)

* Mon Nov 10 2008  <matt@redhat> - 7.1.4-0.5
- Pre-release of 7.1.4, Wed Nov 12 08:25:57 2008 -0600
- Require qpidc >= r713154, fixes agent memory & fd leak
- Introduced qmf-plugins package to hold plugins and qpidc dependencies
- Fixed INCLUDE, LIBEXEC and JAVA_CLASSPATH_DEFAULT configs, broken in 7.0.4
- Removed condor_ckpt_probe, not needed
- Removed static package
- Fixed TP notices
- Introduced kbdd package, holds condor_kbdd and X11 dependencies

* Thu Nov  6 2008  <matt@redhat> - 7.1.4-0.4
- Pre-release of 7.1.4, Thu Nov 6 15:45:30 2008 -0600
- Require qpidc >= r711913, fixed ~ManagementAgent::Singleton() issue
- Also, fixes missing symbol: qpid::sys::AbsTime::FarFuture() from r708576
- Removed glidein script
- Removed deployment tools
- Removed standard universe
- Removed condor_configure and install
- Removed condor_master_off/reconfig_schedd/convert_history
- Removed bits depending on globus, and other gahps

* Mon Nov  3 2008  <matt@redhat> - 7.1.4-0.3
- Pre-release of 7.1.4, Mon Nov 3 14:00:54 2008 -0600

* Thu Oct 30 2008  <matt@redhat> - 7.1.4-0.2
- Fixed EL4 init script

* Mon Oct 27 2008  <matt@redhat> - 7.1.4-0.1
- Pre-release of 7.1.4, Mon Oct 27 18:01:14 2008 -0500

* Tue Oct 21 2008  <matt@redhat> - 7.1.3-1
- Rebased on 7.1.3
- Added QMF Plugins, requiring qpidc-devel and qmf-devel

* Mon Oct  6 2008  <matt@redhat> - 7.0.5-2
- Obsolete condor-test < 7.0.5

* Thu Sep 18 2008  <matt@redhat> - 7.0.5-1
- Rebased on 7.0.5
- generate-tarball.sh now removes quill&ligo test, stopped packaging them
- Resolved: BZ451069, BZ451799, BZ462662

* Wed Aug  6 2008  <mfarrellee@redhat> - 7.0.4-4
- Fixed /etc/condor/condor_config to not specify CONDOR_HOST
- Assigned condor uid:gid is 64:64, BZ458069

* Wed Aug 6 2008  <rrati@redhat.com> - 7.0.4-3
- Resolved: BZ457976
- Resolved: BZ458110

* Wed Jul 30 2008  <mfarrellee@redhat> - 7.0.4-2
- Resolved: BZ456478

* Wed Jul 23 2008  <mfarrellee@redhat> - 7.0.4-1
- Rebased on UW's 7.0.4 source release, includes fixes and perf enhancements
- First release with an Integration-Branch patch: fixes, opts, hooks, router, EC2
- Added --with-buildid to configure, addresses version info
- Fixed up condor_tests packaging to include new tests
- Packaged sql scripts, BZ455338
- Resolves: BZ455338, BZ452512, BZ452515, BZ456080, BZ449043, BZ447830
- Stopped using condor_configure
- Added python dependency, for condor_router_history

* Wed Jul 16 2008  <mfarrellee@redhat> - 7.0.2-5
- Added SCHEDD_NAME fix for HA Schedds
- Updated Job Hooks feature, -when-root -default-iwd fix integrated
- Added fix for negotiator crash
- Updated EC2 feature

* Thu Jul 3 2008  <rrati@redhat.com> - 7.0.2-4
- Cleaned up the job hooks when running as root fix

* Thu Jul 3 2008  <rrati@redhat.com> - 7.0.2-3
- Added job hooks support
- Added fix for job hooks when running as root
- Added fix for a missing IWD in the job description
- Moved some .pl and .run files to have execute permissions for consistency

* Thu Jun 12 2008  <mfarrellee@redhat> - 7.0.2-2
- New, safer, threading code for amazon-gahp
- EC2 resource leak from condor_gridmanager fixed

* Wed Jun 11 2008  <mfarrellee@redhat> - 7.0.2-1
- Updated to 7.0.2 release
- Moved modifications of condor_config to condor_config.generic patch

* Tue Jun 10 2008  <mfarrellee@redhat> - 7.0.1-12
- Resolved 450316, Proxy Support
- Rebased EC2.patch for new recovery code, parameter name changes, ...

* Fri Jun  6 2008  <mfarrellee@redhat> - 7.0.1-11
- Added TP notice

* Thu Jun  5 2008  <mfarrellee@redhat> - 7.0.1-10
- Fixed for RHEL 4, cannot apply EC2-Amazon-Imakefile.patch

* Thu Jun  5 2008  <mfarrellee@redhat> - 7.0.1-9
- Removed UID/FILESYSTEM_DOMAIN from condor_config.local
- Cleaned conditionals around patches
- Changed HOSTALLOW_WRITE default to $(FULL_HOSTNAME), i.e. presonal pool
- Updated EC2 to use SOAP instead of REST: removes Perl deps, adds RHEL 4 EC2 support

* Thu May 22 2008  <mfarrellee@redhat> - 7.0.1-8
- Added new ClassAds and better-analyze support

* Wed May 21 2008  <mfarrellee@redhat> - 7.0.1-7
- Init script modified on RHEL 4, where --pidfile and -p are not supported

* Wed May  7 2008  <mfarrellee@redhat> - 7.0.1-6
- Resolved: (EC2.patch) bz440699, bz440520, bz445626, bz440516, bz440531, bz440524, bz446749, bz446319, bz440515, bz446740
- Fixed dependencies, no EC2 on RHEL 4

* Wed Apr  2 2008  <mfarrellee@redhat> - 7.0.1-5
- Added preliminary EC2 support
- Cleaned up patch names and orders

* Wed Mar 12 2008  <rrati@redhat> - 7.0.1-4
- Have batch_test.pl exit condor_master process it starts when it exits

* Fri Mar  7 2008  <rrati@redhat> - 7.0.1-3
- Create a package that contains the testing materials for condor

* Fri Mar  7 2008  <mfarrellee@redhat> - 7.0.1-2
- Conditionally use custom imake when on RHEL 4, which does not have
  imake packaged
- Removed use of find to fix execute permissions on source files,
  fixed upstream
- Added disable_glibc_version_check patch to avoid problems with RHEL
  4, and many other distro's, version of glibc
- Removed f9_glibc_detection patch in favor of
  --disable-glibc-version-check to configure
- Disabled KRB5 support on RHEL 4, due to compliation errors with
  krb5-1.3.4
- Disabled SMP_NUM_JOBS because of dependency issues

* Wed Feb 27 2008  <mfarrellee@redhat> - 7.0.1-1
- Updated to UW's 7.0.1 release, source was 223.4MB
- Updated generate-tarball.sh to handle condor-7.0.1 directory name
  instead of condor_src-7.0.1 in the upstream source tarball
- Removed lsb_init.patch, accepted upstream
- Removed configure_with_to_enable.patch, accepted upstream
- Removed enable_gcc_version_check.patch, accepted upstream
- Removed f9_gcc_detection.patch, using --disable-gcc-version-check
- Removed modification of config/site.def, it was unnecessary
- Re-enabled use of ?_smp_mflags

* Wed Feb 27 2008  <mfarrellee@redhat> - 7.0.0-8
- Inclusion of patch enable_gcc_version_check to allow for disabling
  check for gcc version and resulting errors, useful when dealing with
  new versions of gcc, and will allow for removal of f9_gcc_detection
  patch
- Added patch configure_with_to_enable to change some AC_ARG_WITH to,
  more proper, AC_ARG_ENABLE
- Removed gsoap_nonamespaces patch in favor of gsoap 2.7.10-2 or
  greater
- Added patch gridmanager_without_globus to allow for compliation of
  condor_gridmanager and handlers for different gahps. This means
  functionality is determined at runtime instead of compile time.
- Added patch avoid_gsoap_linking to link only executables requiring
  gsoap against libgsoap, patch contributed by rrati@redhat
- Added patch separate_postgresql_in_build to begin linking postgresql
  only against those programs that need it, contributed by
  rrati@redhat

* Thu Feb 14 2008  <mfarrellee@redhat> - 7.0.0-7
- Some changes to config files made during install are now done in a
  patch during prep, condor_config.generic.patch. This should simplify
  install and resolve an issue with the generated config file for
  tests.
- Init Script Update: contains improved lsb logic; fixes BZ432639; no
  longer on by default; now patched into source

* Mon Feb 11 2008  <mfarrellee@redhat> - 7.0.0-6
- Added note about how to download the source
- Added generate-tarball.sh script

* Sun Feb 10 2008  <mfarrellee@redhat> - 7.0.0-5
- The gsoap package is compiled with --disable-namespaces, which means
  soap_set_namespaces is required after each soap_init. The
  gsoap_nonamespaces.patch handles this.

* Fri Feb  8 2008  <mfarrellee@redhat> - 7.0.0-4
- Added patch to detect GCC 4.3.0 on F9
- Added patch to detect GLIBC 2.7.90 on F9
- Added BuildRequires: autoconf to allow for regeneration of configure
  script after GCC 4.3.0 detection and GLIBC 2.7.90 patches are
  applied
- Condor + GCC 4.3.0 + -O2 results in an internal compiler error
  (BZ 432090), so -O2 is removed from optflags for the time
  being. Thanks to Mike Bonnet for the suggestion on how to filter
  -O2.

* Tue Jan 22 2008  <mfarrellee@redhat> - 7.0.0-3
- Update to UW's really-final source for Condor 7.0.0 stable series
  release. It is based on the 72173 build with minor changes to the
  configure.ac related to the SRB external version.
- In addition to removing externals from the UW tarball, the NTconfig
  directory was removed because it had not gone through IP audit.

* Tue Jan 22 2008  <mfarrellee@redhat> - 7.0.0-2
- Update to UW's final source for Condor 7.0.0 stable series release

* Thu Jan 10 2008  <mfarrellee@redhat> - 7.0.0-1
- Initial package of Condor's stable series under ASL 2.0
- is_clipped.patch replaced with --without-full-port option to configure
- zlib_is_soft.patch removed, outdated by configure.ac changes
- removed autoconf dependency needed for zlib_is_soft.patch

* Tue Dec  4 2007  <mfarrellee@redhat> - 6.9.5-2
- SELinux was stopping useradd in pre because files specified root as
  the group owner for /var/lib/condor, fixed, much thanks to Phil Knirsch

* Fri Nov 30 2007  <mfarrellee@redhat> - 6.9.5-1
- Fixed release tag
- Added gSOAP support and packaged WSDL files

* Thu Nov 29 2007  <mfarrellee@redhat> - 6.9.5-0.2
- Packaged LSB init script
- Changed pre to not create the condor user's home directory, it is
  now a directory owned by the package

* Thu Nov 29 2007  <mfarrellee@redhat> - 6.9.5-0.1
- Condor 6.9.5 release, the 7.0.0 stable series candidate
- Removed x86_64_no_multilib-200711091700cvs.patch, merged upstream
- Added patch to make zlib a soft requirement, which it should be
- Disabled use of smp_mflags because of make dependency issues
- Explicitly not packaging WSDL files until the SOAP APIs are available

* Tue Nov 20 2007  <mfarrellee@redhat> - 6.9.5-0.3.200711091700cvs
- Rebuild for repo inheritance update: dependencies are now pulled
  from RHEL 5 U1 before RH Application Stack

* Thu Nov 15 2007 <mfarrellee@redhat> - 6.9.5-0.2.200711091700cvs
- Added support for building on x86_64 without multilib packages
- Made the install section more flexible, reduced need for
  make_final_tarballs to be updated

* Fri Nov 9 2007 <mfarrellee@redhat> - 6.9.5-0.1.200711091700cvs
- Working source with new ASL 2.0 license

* Fri Nov 9 2007 <mfarrellee@redhat> - 6.9.5-0.1.200711091330cvs
- Source is now stamped ASL 2.0, as of Nov 9 2007 1:30PM Central
- Changed license to ASL 2.0
- Fixed find in prep to work if no files have bad permissions
- Changed the name of the LICENSE file to match was is now release in
  the source tarball

* Tue Nov 6 2007  <mfarrellee@redhat> - 6.9.5-0.1.rc
- Added m4 dependency not in RHEL 5.1's base
- Changed chmod a-x script to use find as more files appear to have
  improper execute bits set
- Added ?dist to Release:
- condor_privsep became condor_root_switchboard

* Tue Sep 11 2007  <mfarrellee@redhat> - 6.9.5-0.3.20070907cvs
- Instead of releasing libcondorapi.so, which is improperly created
  and poorly versioned, we release libcondorapi.a, which is apparently
  more widely used, in a -static package
- Instead of installing the stripped tarball, the unstripped is now
  installed, which gives a nice debuginfo package
- Found and fixed permissions problems on a number of src files,
  issue raised by rpmlint on the debuginfo package

* Mon Sep 10 2007  <mfarrellee@redhat> - 6.9.5-0.2.20070907cvs
- Updated pre section to create condor's home directory with adduser, and
  removed _var/lib/condor from files section
- Added doc LICENSE.TXT to all files sections
- Shortened lines longer than 80 characters in this spec (except the sed line)
- Changed install section so untar'ing a release can handle fedora7 or fedora8
- Simplified the site.def and config file updates (sed + mv over mv + sed + rm)
- Added a patch (fedora_rawhide_7.91-20070907cvs.patch) to support building on
  a fedora 7.91 (current Rawhide) release
- Moved the examples from /usr/share/doc/condor... into builddir and just
  marked them as documentation
- Added a number of dir directives to force all files to be listed, no implicit
  inclusion

* Fri Sep  7 2007  <mfarrellee@redhat> - 6.9.5-0.1.20070907cvs
- Initial release
